Introduction

Introducing the dotPLOT + HotPlot System

dot7022 of 10 February 2017 with HotPlot 3.22.0 of 10 February 2017:

<< Glossary – Next >> – What's New?.

Below: What is dotPLOT? ~ What is HotPlot? ~ General Information

What is dotPLOT?

The program dotPLOT prints geological soil profiles and borehole logs on Hewlett Packard LaserJet printers, using a personal computer running Windows. It can also optionally print to PDF file format. There is a borehole log option: The program is designed specifically for soil profiles and borehole logs.

Input is in the form of an ordinary Text (ASCII) file produced by any word-processor package or text file editor.

The objective of the program is to intelligently interpret the stream of words as though they were typed directly from the field notes (possibly in the form of a voice recording), to automatically select symbols for soil and rock types, to choose appropriate scales, number of pages and page breaks, to format the text and to produce the finished pages ready for binding into a report or e-mailing to a customer, all with the minimum of editing by the geologist.

You can learn to use it merely by looking at the examples supplied: there are no templates or esoteric code words. "sandy silt" in the text will produce the symbol for sandy silt!

Versions

The previous dot6000 series worked on 32-bit PCs only and will not be developed further. The last version, now obsolete, was dot6008. It was developed in Borland TurboBasic.

The newer and more expensive dot7000 series works on 64-bit and 32-bit PCs and was developed with PowerBASIC Console Compiler. The first public release version was dot7002, released 31 July 2011. The latest version number is given above.

What is HotPlot?

dotPLOT is a DOS program. Younger computer users are often unfamiliar with DOS. HotPlot overcomes this problem: It is a Windows front-end for dotPLOT.

HotPlot provides you with a familiar Windows interface that runs dotPLOT for you, hiding the DOS complexity for a more friendly visual user experience. The program produces output in any of several file formats. In the case of PDF output, it lets you preview or print the file immediately via the Adobe Reader.

HotPlot has a wealth of helpful tools to speed up production, including a Text file Editor, easier SET file Editor, "Run and View" feature, etc. It gives you a "one-stop shop" to edit, check, run, and view your profiles that will make your use of dotPLOT much easier.

HotPlot's text file editor was specially designed for dotPLOT, supporting the special symbols that dotPLOT uses. It has a text file checker, a spelling checker with geological dictionary, various conversion features and much more.

HotPlot's ability to edit settings (.SET) files is more versatile than JetSetup in dotPLOT, and comes with helpful graphics to show you how your changes will affect the layout.

General Information

You can Browse through this whole Help file by clicking the “<<Previous” and “Next>>” links on each page, like those below. Click on “Next>>” now for an overview of the system.

For a list of the latest improvements in HotPlot, click here.


Overview

Overview of the dotPLOT + HotPlot System

<< Previous – Next >>

Installation

HotPlot can be installed from a CD-ROM, or more commonly from a download from the Internet at http://www.softwareafrica.co.za/dotplot-7000.htm (full instructions for the new, simplified setup process on that web page). Run the combined Setup package and accept the defaults.

The dot7000 series (the latest!) always installs into the folder C:\dot7000.

If you had a previous series of dotPLOT on the same PC, there is an option at the end of the Setup to copy your customised files from C:\dot5000 and/or C:\dot6000.

Once HotPlot is installed there will be an icon on your desktop. Double-click this to run HotPlot.

The first time HotPlot runs, it will look for dotPLOT, and find it on C:\dot7000 (if you see C:\dot6000 because there was a previous version, change it to C:\dot7000).

Click here for the Setup process in detail.

Demo

You don't have to license the dotPLOT + HotPlot system in order to use it. It will run as a demo until licensed: the banner "DEMO" will appear on printouts, gradually darkening with age. The main new feature of dot6000, "Plaintext" (Automatic Symbol Recognition / "tilde-less" text), is not available until it is licensed. dot7000 has to be licensed separately and may, depending on the upgrade options taken, include the Plaintext feature.

Licensing

To license the system, run HotPlot. Click the Licence button and fill in the form. E-mail the named file to Software Africa and await a Licence file by e-mail. Save this according to instructions provided in the e-mail. Click here for the Licensing process in detail.

Testing

Several test data files (text files) are installed with dotPLOT. You can run these directly from HotPlot and see that they produce sensible output. Pick TXT files using the third [...] button from the top on the HotPlot screen (Input File). The sample data files are on the folder C:\dot7000\Examples. You will usually put your own data files elsewhere, e.g. on C:\dotFiles.

You can also run a printout of a selected set of symbols using Activity = TEST-SYMB.

Getting Productive

The easiest way to get started is to modify one of the examples. Pick a TXT file, for example EXAMPLES.TXT for a simple profile, or BOREHOLE.TXT for a Borehole Log, using the third [...] button from the top on the HotPlot screen (Input File), or the drop-down list if you have already opened the file. Click the button EDIT next to the file to open it in the HotPlot Editor.

Immediately click File > Save As and save the file with a new name to avoid overwriting the sample file. We suggest you save to a path other than the program folder (C:\dot7000), e.g. C:\dotFILES.

Now replace the file's contents with your own data. If you have licensed the Plaintext feature, remove any tildes (~), and replace acute accents (`) with underscore (_), since these old features are no longer needed in dot6000 and later: It will automatically recognise soil symbols in a layer provided there are no tildes (~) and acute accents (`) in that layer.

To Save and Run your modified file, click the button [Run Now!]. This will Save your file, Run dotPLOT with it, and return you to the main HotPlot screen.

For details on the structure of the Input Text File, click here.

Quickly Input a Profile

To quickly enter a new profile interactively, open the HotPlot Editor (EDIT button) and start a new file (File > New). Press Shift+F2 (Header Block: Add job and hole details), Shift+F3 (input as many Layer Descriptions as needed), Shift+F4 (Notes Block: Edit the example to suit your profile). If a Borehole Log, press Shift+F5 repeatedly to input each Borehole Log Attribute. Finally, press Shift+F7 to finish the hole. Repeat from Shift+F2 until all holes are done, then Shift+F8 to end the file. More details here.


Conventions

The following conventions are used in this Help file:

New terms or those requiring emphasis will appear in boldface. These terms are usually explained in the Glossary.

Keys that you press are shown in bold Italics, for example F1 or Enter.

Keys that you press together are shown with a + between them, for example Alt+L, meaning, "hold down Alt and press L".

Menu use: When you are supposed to select something from a menu, it will be indicated thus: "File > Save". This means that you should click on (or otherwise open) the File menu and then select the option Save.

In this Help file the following terms are used for the various Special Characters:

Symbol | Name | Also known as | Used (mainly in Layer Descriptions) to
| | bar | vertical bar | omit symbol of next soil word (new in licensed dot6000) ignore adjacent keyword in Notes (new in dot7005)
_ | underscore | underline | underline next word (new in licensed dot6000)
~ | tilde | wiggle | force a soil symbol (suspends dot6000 automatic recognition of symbols for that layer)
` | acute accent | backward apostrophe | force and underline a soil symbol (suspends automatic recognition of symbols for that layer).
/ | slash | forward slash | denote end of block (/), hole (//), and file (///)
\ | backslash |  | cause a line-break
^ | caret | circumflex, kappie | represent a hard space
( ) | parentheses | round brackets | (no special use)
[ ] | brackets | square brackets | enclose soil symbols and non-printing text
{ } | braces | curly brackets | start indent, end indent
< > | less than, greater than, signs | angle brackets | (no special use)
# | hash | (pound sign on some keyboards) | cause two columns on the profile page
$ | dollar sign |  | switch primary fonts (usually for bold on and off)

In the HotPlot Text File Editor, the The Insert Menu will let you insert many of these special symbols.

The HotPlot SET File Editor, the third tab, Control Characters, will let you change the characters that are used for the above purposes (those listed above are the defaults; we suggest that you don't change them).


Notices

HotPlot

HotPlot is a product of Communication in Action cc, trading as Software Africa.

This product is never sold, is only utilised under strict licensing guidelines, remains the property of Software Africa, and is copyright ©. No copies of this software may be sold, supplied or reproduced in whole or in part. Any violations will result in criminal and civil prosecution. To claim a reward, please report any violations to us at rick@softwareafrica.co.za or contact us via our web site: www.softwareafrica.co.za.

dotPLOT

dotPLOT was written and owned by Winston Jones, late retired Civil Engineer, and was marketed and supported under agreement by Software Africa from 2009 until Winston's death on 9 August 2014. Ownership then passed by prior agreement to Rick Raubenheimer of Software Africa.

This product is never sold, is only utilised under strict licensing guidelines, remains the property of Software Africa, and is copyright ©. No copies of this software may be sold, supplied or reproduced in whole or in part. Any violations will result in criminal and civil prosecution. To claim a reward, please report any violations to us at rick@softwareafrica.co.za or contact us via our web site: www.softwareafrica.co.za.

Our full contact details are:

Communication in Action cc t/a Software Africa
Reg. 2009/007863/23 ~ VAT No 4500104387

South African Tel: | 011 802-6440 / 2685 | International Tel: | 00 27 11 802-6440 / 2685
South African Fax: | 086 635-7902/3 |  |
South African Cell: | 082 389-3482/1 | International Cell: | 00 27 82 389-3482/1

E-mail: info@softwareafrica.co.za
Web: www.softwareafrica.co.za
Postal and Physical Address: 126 Kelvin Drive, opposite Gary Avenue, Morningside Manor, Sandton, 2191 South Africa

Hardware

HotPlot runs on 32-bit and 64-bit Personal Computers.

The outdated dotPLOT 6000 series and earlier run only on 32-bit Personal Computers. The dotPLOT 7000 series runs on 32-bit and 64-bit Personal Computers, is more expensive, and has additional features.

Your PC must have a C: drive in order to install and run the system. A USB flash drive is recommended, though not essential, for the licence.

Operating System:

The HotPlot/dotPLOT system is supported on the following Operating System configurations:

  • Microsoft Windows XP with Service Pack 2 or 3 (not recommended on Home Edition)
  • Microsoft Windows Vista (Home Edition may require dot7000)
  • Microsoft Windows 7, 8, 8.1 and 10

Please note that it is not supported on plain Microsoft Windows XP, nor on earlier versions of Windows or “Home” versions of Windows, i.e. XP Home, Millennium, and 98.

Acknowledgment

The HotPlot/dotPLOT Setup program is built using Inno Setup by Jordan Russell, jr-2010@jrsoftware.org http://www.jrsoftware.org, InnoIDE by Graham Murt, http://innoide.org and now Inno Script Studio, Copyright © Kymoto Solutions. Wonderful programs, much better than the Setup supplied by Microsoft.


What's New?

What's New in HotPlot ?

<< Previous – What's New in dotPLOT? – Next >>

From time to time HotPlot and dotPLOT are revised to add enhancements and fix bugs. The list of recent revisions is below, in reverse order (latest at the top, with HotPlot first and then dotPLOT). To update the programs from the internet, click here to go to the dotPLOT web page.

Version 3.22.0 – 10 February 2017:

Release for dot7022 of 10 February 2017.

New in Text Editor:

  • Edit > Copy Table for Excel (Shift+Ctrl+F1) to Copy Borehole Log Attribute Block Table to Clipboard for Pasting into Excel (more here)
  • Edit > Paste Excel Table now has the shortcut Shift+Ctrl+F2
  • On regular Paste, we now replace Tab with four spaces (for Excel).

Version 3.21.3 – 7 September 2016

New in Text Editor: Edit > Copy Table for Excel (Shift+Ctrl+F1) to copy a Borehole Log Attribute Block Table to the Clipboard for Pasting into Excel.
Existing Edit > Paste Excel Table now has a shortcut Shift+Ctrl+F2.
On ordinary paste, replace Tab caracters with four spaces (for Excel).

Improvements to the Licence form's Check Licence button: In Sub CallSeekUSBdongle, display Message Box results in pages of 1025 or fewer characters, resulting in no truncated messages.
In Function seekusbdongle, flag NO WRITE ACCESS for an otherwise-valid licence that is on a read-only device.

Version 3.21.2 – 25 August 2016:

Release for dot7021 of 17 August 2016.

Fixed overflow on Licence Check.

New button at the bottom of the Licence form: Check Licence. This reads all license folders from Z: to A: until it finds a valid licence, and reports which ones are valid, for which licence options, and why. Here are some examples of invalid (R:, Q: and P:) and valid (E:) licences:

We now show the program again after dotPLOT has crashed on an error, in case it was hidden during error, e.g. trying dot6000 on a 64-bit PC.

Version 3.20.0 – 18 September 2015:

Release for dot7020 of 18 September 2015.

In the Text File Editor (structure check message), explained that "orphan" Line Feed characters are Line Feeds [LF] not preceded by a Carriage Return [CR].

Version 3.19.0 – Memorial Issue – 16 August 2014:

Release for dot7019 of 16 and 19 August 2014.

If a LOGO file is selected somewhere other than the dotPLOT path, offer to copy it to the dotPLOT path for use.

Version 3.18.0 – 6 May 2014:

Release for dot7018 of 6 May 2014.

On the Licence form, there is a new Reset Tally button to reset the Licence Count for this site if given the correct code for today from Software Africa.

Version 3.17.0 – 26 March 2014:

Release for dot7017 of 26 Mar 2014.

Minor Bug-390 on Checking Block Structure reported 13 Mar 2014 by Lyzandra, fixed by Rick on 13 Mar 2014:
HotPlot’s cursor position was not entirely accurate. Its calculation of the position was being thrown out by Tab characters, which come in when you paste two columns from Excel.

Bug-387 on Text File Editor reported 6 Jan 2014 by Rick, fixed by Rick on 6 Jan 2014:
Find, Replace, and Replace All did not work! (Fixed.)

Bug-230 on SET File Editor reported 18 Jan 2011 by Rick, fixed earlier: The SET File line
C:\DOT5000\LJ4 = Path to Font files
is not updated when the file is saved. It should not have the dotPLOT path built-in. (Now saves as Printer Type [normally LJ4] only)

New feature: Button Settings on the Main Form, which opens a replica of the Text File Editor's Settings Menu. Main Form made wider to fit.

Text File Editor's DOS -> Windows improved to convert vertical line draw character "³" to vertical bar character "|".

In SET File Editor, added Help buttons to Borehole Log Suppress Options and Compress Borehole Log Options forms.

Text File Editor's Check menu item improved to give a warning if text contains Tab characters (this may result from copying and pasting from Excel) and offer to replace all Tabs with four spaces.

The Text File Editor's Replace (Ctrl+H) function was improved by adding the "In Selection" checkbox. This affects only the Replace All button. When "In Selection" is ticked (the default if text is selected) and you click Replace All, all items are replaced only within the selected (highlighted) text. To select text, drag the mouse pointer over it.

Version 3.16.0 – 26 November 2013

Release for dot7016 of 28 November 2013.

Fixed bug: Latest (top) SET file in combo box list was not being recalled next time.

In SET File Editor:

  • Added Page Output Sequence –Normal (Profile, then Borelog) or 2-Page View (Borelog, then Profile)– and Description to first tab.
  • Made picture on Layout tab clickable (Click on an arrow in the picture to select that measurement).
  • Moved Line Spacing to Fonts tab.

Version 3.15.0 – 31 October 2013

Release for dot7015 of 31 October 2013.

Version 3.14.0 – 1 August 2013

Release for dot7014 of 1 August 2013. Minor cosmetic changes.

New Conditions for Replacement of a Licence: If you can produce reasonable proof of the total loss of the licence, it may be replaced at a cost of R800 + VAT

Version 3.13.1 – 7 May 2013

Removed "Default Path for Input Text-Files" (no longer used by dotPLOT) from the first tab in the SET File Editor.

Version 3.13.0 – 27 April 2013

A whole new tab, Logo Xform (Logo Transform) has been added to the SET File Editor. This tab allows you to greatly reshape how your logo appears, rotating, applying skew, shifting, and scaling it as required.

Version 3.12.0 – 27 March 2013

Improvements in the Text File Editor:

  • You can now drag-and-drop text (something you can't do in Notepad)! To drag and copy, hold the Ctrl key when releasing the mouse.
  • The new "Character" menu allows you to easily add a full list of special characters including the degree symbol, accented letters, diameter symbol, mu, ± (plus-minus), ≠ (not-equal), ≤ (less-or-equal), and ≥ (greater-or-equal).
  • Find and Replace allows you to find (and replace) end-of-line (^p) and tab (^t) characters.
  • Fixed a bug: Find would never find the first letter in the text file.
  • The Help menu has new options to Open the Manual or Tutorial (as on the Main window).
  • Help has been improved to match.

Improvement in the SET File Editor: The Layout tab now has a diagram on which the program indicates the location of the item you are editing.

Version 3.11.0 – 11 January 2013

Release for dot7011 of 11 January 2013.

Version 3.10.2 – 20 December 2012

Bug-354 on Spelling Check reported 2 Aug 2012 by Rick, fixed by Rick on 20 Dec 2012:
Error in Sub Form_Load on frmSpell:
Path/File access error - Name C:\Program Files (x86)\HotPlot\Afrikaans.DIK As C:\Program Files (x86)\HotPlot\Afrikaans.DIC
This needs Admin rights on my Windows 7N laptop (Spelling check does not work without a DIC file).

  • Fixed by moving dictionaries to C:\dot7000.
  • Also, on spelling check, split the "Add" button into "Add lowercase" - Add word to dictionary in lowercase, and "Add As Is" - Add word to dictionary in its current case (lower case, ALL CAPS or Initial Cap).
  • Suggestions now display in the case of the word being replaced (lower case, ALL CAPS or Initial Cap) if they were stored in lowercase;
  • Suggestions stored in ALL CAPS or Initial Cap display that way.
  • Added Help page on Spelling Checker.

Minor Bug-365 on Setup reported 19 Dec 2012 by Rick, fixed by Rick on 20 Dec 2012:
Mailform.out had other customer data in it on Stuart Morgan's PC. Are we distributing it that way?
(No. Mailform is not distributed. It must have come from an earlier dot7000 test version, or dot5000 installation)

Bug-364 on Licensing reported 20 Dec 2012 by Rick, fixed by Rick on 20 Dec 2012:
Folder create date comes out a year ahead, e.g. 20/12/2013 08:30:30. Error in Function timedate used to display date (cdate_$ = toDOSdate$ is correct).

Bug-363 on Licensing reported 19 Dec 2012 by Rick, fixed by Rick on 20 Dec 2012:
Spurious warning on clicking Licence button: Wrong Version of dotPLOT for this PC?
WARNING: THIS 32-bit dotPLOT WILL NOT RUN ON YOUR 64-bit WINDOWS!
You need to upgrade to Version 7010.
Not true. Fixed.

Serious Bug-362 on Text File Editor reported 19 Dec 2012 by Rick, fixed by Rick on 20 Dec 2012:
Edit > Fonts and then Cancel bombs the program, if you first opened a file from the Editor (dlgFile.CancelError = True in File > Open).

Version 3.10.1 – 12 December 2012

Release for dot7010 re-release of 12 December 2012.

Added links to the Help File from the SET File Editor's Help buttons for Logo file, Borelog Compress Option, and Suppress Options Code. Help button gives brief Help and asks if you would like more details, in which case it opens HTML Help at the right spot.

Version 3.10.0 – 11 December 2012

Release for dot7010 (new).

Added a new block of menu items on the HotPlot Editor's Insert menu, to insert a whole new (example) profile, or individual blocks (including layers and attributes interactively). The items are:

  • Full Block Structure for 1 Hole - Shift+F1
  • Header Block - Shift+F2
  • Layer Descriptions (input) - Shift+F3
  • Notes Block Example - Shift+F4
  • Borehole Log Attribute (input) - Shift+F5
  • Attribute Block Example - Shift+F6
  • End-of-Hole marker - Shift+F7
  • End-of-File marker - Shift+F8

To enter a new profile interactively, open the HotPlot Editor (EDIT button) and start a new file (File > New). Press Shift+F2 (Header Block: Add job and hole details), Shift+F3 (input as many Layer Descriptions as needed), Shift+F4 (Notes Block: Edit the example to suit your profile). If a Borehole Log, press Shift+F5 repeatedly to input each Borehole Log Attribute. Finally, press Shift+F7 to finish the hole. Repeat from Shift+F2 until all holes are done, then Shift+F8 to end the file. More details here.

Version 3.9.0 – 5 October 2012

Release for dot7009 (new). New 64-bit PAINTLIB.EXE included in package, and PAINTLIB-AFR.PDF and PAINTLIB-ENG.PDF in C:\dot7000\Manual.

Version 3.8.0 – 9 September 2012, Released 17 September 2012

Release for dot7008 (new).

Warn if Licence is being put on C: Drive. Removed Licence Warning about dot7000 on 32-bit PC.

Store cdate and volid in plaintext in MailForm.out for debugging.
Added Modules dotPLOTfns & dotFINDxUSB, form frmConsole, and hidden "Test" button to test dotPLOT Licence.

Added to Text Editor: Edit > ASCII Code to reveal the ASCII value of selected character; Insert > Special Character to insert one or more special characters specified by ASCII code(s).

Text Editor Spelling Check debugging: In Sub Form_Load, can't name Name DikFile$ As DicFile$ on Windows 7 (need Admin rights).

Version 3.7.1 – 26 July 2012

Fix Bug: If program is shut down when minimized, next time it is run it is "off screen" (it appears on the taskbar but not on screen). See FAQ: Program does not appear on Screen.

Version 3.7.0 – 23 July 2012

Release for dot7007 (new).

New features in Text File Editor, Edit menu:

  • Undo the last change, up to 20 levels deep (previously 1 only).
  • Redo the last Undo ("Undo the Undo") (up to 20 levels deep).
  • Paste Excel Table will paste a table copied from Excel, in the format required for an "ATTRIBUTE : :" block. See here for more details.
  • Wrap Descriptions (F8): Changes long layer descriptions to multiple lines. See here for more details.
  • Unwrap Descriptions (F9): Changes each layer description to a single line. The reverse of Wrap.

Version 3.6.0 – 7 May 2012

Release for dot7006 (new).

Added the new Font tab on the Settings Editor: This allows you to change the typefaces that dotPLOT uses, and means that JetSetup in dotPLOT is not longer needed.

In the Settings Editor, on the Files & Setup tab, allow Multiple CONVOCAB File extensions separated by commas (dotPLOT accepts Multiple CONVOCAB Files).

On the Main window, there now is a Combo box (dropdown list) containing previous Setup File names, instead of only the last one used. If you choose a SET file in a folder other than the dotPLOT folder, HotPlot will offer to copy it to the correct folder.

PCL Output Type removed (no longer supported by dotPLOT).

Version 3.5.0 – 8 February 2012

Release for dot6008 (unchanged) and dot7005 (new).

Added 64-bit checkbox on Licence form. Send back 64-bit checkbox, dotPLOT Version, PC-bits in Licence application.

Version 3.4.2 – 5 December 2011

Release for dot6008 (unchanged) and dot7004 (new).

SET Editor: On Saving, check all paths (complain if path or file not found) and silently fix Path to Font files.

Version 3.4.1 – 19 October 2011

Repair vbLf-only mailform.out files from site. If the file is vbLf-only on site, re-write file with vbCrLf.

Version 3.4.0 – 16 September 2011

First Release for dot6008 and dot7003.

Licensing can now be done via HotPlot, using the Licence button on the main screen. Read more.

TEST-SYMB no longer overwrites the PDF file belonging to the selected Text file. Instead, the output files are named Symbols01.PDF, Symbols02.PDF, etc. and placed on the output path or, if it is blank, on C:\dot6000\Examples (dot6000) or C:\dot7000\Examples (dot7000).

The User Manual now includes dot6000 and dot7000, and has been renamed from dot6000_User_Manual.pdf to dotPLOT_User_Manual. Manual button changed to look for the correct file.

Version 3.3.0 – 29 Jul 2011

First Release for dot7002. Use long file names for dot7000 (NTFS & Non-NTFS Network support).

Version 3.2.6 – 26 Jul 2011

Non-NTFS Network support: Closer approximation to the text file name.

New item on Settings menu (only for dot7002 and later): "Pause before Exiting dotPLOT". This causes dot7002 to pause before ending and display the message "Press any key to Exit dotPLOT", so that you can see any warning messages that have not caused the program to pause.

Version 3.2.4 – 18 Jul 2011

Bug-304 on Install reported 18 Jul 2011 by Elmari Mouton, fixed by Rick on 18 Jul 2011:
The "Install" button in HotPlot is obsolete - replaced with "Check" button to find versions of dotPLOT installed on the PC.

Bug-301 on About reported 7 Jul 2011 by Rick, fixed by Rick on 7 Jul 2011:
"WARNING: THIS 32-bit dotPLOT WILL NOT RUN ON YOUR 64-bit WINDOWS!" the warning message is a bug - it comes up even on dot7000.

Version 3.2.3 – 4 Jul 2011

Bug-295 on Go to dotPLOT reported 4 Jul 2011 by Marie Convery, fixed by Rick on 4 Jul 2011:
"Invalid Procedure call or argument on Sub cmdRun_Click" when trying to start dot6007 on a 64-bit PC. Wrong sub name – fixed.
Added code to warn user if running dot6000 on 64-bit.

Bug-231 on Network reported 18 Jan 2011 by Rick, fixed by Vivian on 24 Jun 2011:
Can't run text files with a long file name anywhere in the path on Transnet's Network (Server File System: RAW. Ours is NTFS and works).
There is now a new menu, Settings, in the Text File Editor, with one on/off setting: Non-NTFS Network Support. When this is on (ticked) HotPlot will copy files locally for dotPLOT to use, and then put the output PDF file on the network if required.

Another niggle fixed at the same time is that HotPlot now renames short (DOS 8.3-type) output PDF files to long filenames matching the input file name. This an have unexpected side-effects if one renames the text file and re-runs it, since the short filename (and hence dotPLOT's output) remain the same, and hence overwrites the old PDF.

Version 3.2.2 – 6 Jun 2011

Bug-290 on Text File Editor reported 6 Jun 2011 by Rick, fixed by Rick on 6 Jun 2011: Title bar Caption displaying file name and path with no backslashes. Bug in Function StripData if txtOutputPath="". Replaced with Function UseEllipsis$ to shorten data path if too long by inserting ellipsis ("...") for display purposes.

7001.10 is Latest dotPLOT 64-bit Version.

Version 3.2.1 – 1 Jun 2011

Minor Bug-286 on Program reported 1 Jun 2011 by Rick, fixed by Rick on 1 Jun 2011: Program did not pick up sub-version of dot7001.8

Bug-285 on Program reported 31 May 2011 by Rick, fixed by Rick on 1 Jun 2011: The "Open" button's code looks on the input path for the PDF file instead of the output path. Consequently does not find it unless they are the same. Clarified ToolTip on output path.

Added defaults for Input File (C:\dot6000\Examples\Examples.TXT), Output Path (C:\dotFiles) and Summary Required (= True).

Version 3.2.0 – 23 May 2011

Added Spelling Checker with English and Afrikaans geotechnical dictionaries to Text Editor. Made Spelling Checker, and Find & Replace windows non-modal "on top" instead of modal. Added Find, Spelling, and Check to Text Editor toolbar. Rearranged Edit menu, putting Find (Ctrl+F), Replace (Ctrl+H), and Spelling (F7) near the top.

Fixed Bug-270: File > numbered list did not remember the file name in the File dialog.

Added "Support" button on Main form, and a new menu item on the Help menu of the Text Editor, to create a simple Support Request e-mail in your default "mailto" program.

Version 3.1.0 – 12 April 2011

Made program more robust on installing dotPLOT, and ready for dot7001. Eliminated the "Error in Function CheckAndInstall6000 in frmMain: Path/File access error" that occurred when there was more than one ".NEW" file in C:\dotSetup\dot6000.

Made program more robust on running dotPLOT, with more error-reporting. You may only create new output folders one level at a time.

Version 3.0.1 – 29 March 2011

Fixed Bug-250 on SET File Editor: dot6004 and earlier store "PROMPTS .ENG" (one space before ".ENG"). dot6005 and dot7001 store and expect no space before ENG. HotPlot now accepts both, saves without the space.

New Feature (Develop-252) in SET File Editor: Compress Borelog Warning: Values above 859 (yellow background) may cause a Numeric Overflow error (because the space left over is too narrow for the layer text). Values 1200 and above (red background) will probably be ignored. Message text appears on the Help button and the Compress Borelog dialog.

Version 3.0.0 – 26 March 2011

New Feature in Set File Editor, bottom of first (Files & Setup) Tab: Compute Compress Borelog Option and Borelog Suppress Options Code.

New Feature in Set File Editor: Second (Layout) Tab measurements are now shown (and can be entered) in millimetres as well as dots.

New Feature in Text File Editor: A list of previously-opened files appears in the file menu, mirroring the list on the Main Window, and including the previous file opened in the Text File Editor.

New Feature in Text File Editor: Replace function (Ctrl+H) on the Edit menu.

New Feature: Delete temporary files on exit: LOGOLIST.DAT, TRXFILES, WORK-ATT.*, WORK-LAY.*, *.TRX, *.TMP, *.STK, @runfile.dat, DIRDUM, FILESB, FILESR.

Problem reported 25 Jan 2011 by David, fixed by Rick on 25 Jan 2011: HotPlot runs, visible on Taskbar, but not on screen.
(It appears to have been parked off screen. Activate from taskbar, Alt+space, M, move mouse, and it reappears.)

Version 2.5.0 – 19 August 2010

The Text Editor has a new feature to translate Afrikaans accented characters from DOS to Windows and back. Edit menu: DOS --> Windows and Windows --> DOS. An option has been added to the Text Editor's File > New to add a skeleton file structure.

If you click Run Now with a blank input file name, HotPlot will offer to start a new input file in the Text Editor, and let you add the outline block structure.

Version 2.4.0 – 24 June 2010

Look for dot6004 as latest version.

Added new menu "Check!" to Text File editor to check Block Structure and Plaintext (dot6000) Option.

Version 2.3.0 – 26 May 2010

Look for dot6003 as latest version.

Better Error Message if dotPLOT did not create the PDF File.

"About" always refreshes dotPLOT version, and displays Path used.

Stretch text boxes on Resizing main window.

Version 2.2.0 – 13 April 2010

Better dotPLOT Version checking on start-up. On exiting, ask to save new choices.

Fixed Bug in SET Editor: If it fixed dot5000 file, did not save last END.

Added a Minimize button to the Main window (the main form has to be sizeable or it does not show).

Version 2.1.0 – 17 March 2010

The Manual button was looking for file dotPLOT_Manual.pdf instead of dot6000_User_Manual.pdf on C:\dot6000\manual. It now looks for the correct file.

The Manual and Tutorial buttons now allow the user to do his own hard drive search for the file, as well as the previous option to go to web downloads. The choice will be saved for the future. The user's choice will be queried if the word "Manual" or "Tutor" does not occur in the file name.

Version 2.0.1 – 15 March 2010

  • Buttons on the main window have been rearranged somewhat.
  • The [...] button did nothing if the SET file box was blank: Now it works.
  • The SET File Editor edits STANDARD.SET if the SET file name is blank.
  • The SET File Editor's Title Bar displays the name of the file being edited, plus the path if it is not on the dotPLOT program folder.
  • The Text File Editor's Title Bar displays the name of the file being edited, plus the path if it is not on the Output Folder.
  • The dotPLOT Install that is packaged with HotPlot is expected on the C:\dotSetup folder only.
  • The dotPLOT install finishes more cleanly: Once dotPLOT is installed, PROFILE.EXE is found automatically.
  • You can View your Logo file directly from the SET File Editor.
  • This Help file now includes a page for the SET File Editor.

Version 2.0.0 – 15 February 2010

  • dotPLOT Installer: The full package includes dotPLOT and HotPlot together. Once HotPlot is installed it will offer to install dotPLOT.
  • Settings Editor: Now, SET files –language, margins, item positioning, Logo name, etc.– can be edited directly and easily in HotPlot.
  • If you changed the special characters in the SET file, the new ones appear in HotPlot's Insert menu.
  • Help, particularly detailed Help on the Licensing process, has now been included with HotPlot.
  • Updated and enhanced Manual for dotPLOT, now including references to HotPlot, opened directly from HotPlot.

What's New in dotPLOT 7000 for 64-bit PCs?

This listing is in chronological order, i.e. the oldest at the top and the latest at the bottom.

dot7001 Beta:

20/01/2011 PROLOG.BAS: Left hand closure line to attributes on A4 page modified.

21/01/2011 SEEKUSB.BAS: Previously, if one crashed dotPLOT or exited by closing the window, the licence would be lost. This was becasue the multi-user scheme required the token files to be returned after use. Today I changed seekusb.bas so that if the SAME USER ( ie same C:drive)
re-applies for a token after a crash, then the time limit is waived.

If a description appears to be dot6000 type (ie no wiggle present) and a licence for dot6000 is not found, then it will go demo, but not if a valid square bracket soil type has been called. eg wording such as CONCRETE [SA xx] does not require a dot6000 licence.

24/01/2011 PROPRINT Footer: if name of text file was too long we would hang. Code changed to keep rightmost 24 meaningful alphanum chars.

01/03/2011 UPDATE01.ZIP prepared and sent to RICK containing four files
profile.exe executable for dot7001
promenu.bas revised to show expiry of beta version dot7001
endbeta.bas routine to calculate expiry of dot7001 01/08/2011
profils.inc list of include files for compiler.

27/03/2011 UPDATE02.ZIP
profile.exe
dotsecur.bas
Rick had found that stationage% had fallen off the cart. This is now calculated in dotsecur.bas

06/04/2011 procodez.zip (dot6000) GSO complained that they are using 5000, no wiggles or strophes, plus [soil name] in brackets and get the message "not licenced for 6000, going DEMO" and feel they should be allowed to print without penalty. Procode.bas changed.

20/04/2011 Rick sent thru a crop of bugs for attention: escape char not working, substitution of special chars, underline, legend line length, line-wrap. now fixed in various modules and UPDATE03.ZIP issued.

17/05/2011 Rick asked for smaller scales to be available. SCALE.MET or SCALE.IMP must still be edited by the user, but down to 1:1 now ok.

20/05/2011 Vertical line on A3 pdf printout and shooterlines on A3 A-page, these were pointed out by D E Mouton and Rick, UPDATE05.zip issued.

25/05/2011 Picking files in PROSELEC uses routines PICKFTCH and PICKPUT1.BAS
These two files were re-written due to very bad handling.
Version 7000.6 issued with UPDATE06.

26/05/11 wj killed file missing message for "mailform.out" in PROMAIL.BAS

26/05/11 wj bug at drive specification for VOLIDGET in PROMAIL.BAS - drive C was rejected incorrectly. UCASE of users options in mailform corrected.
UPDATE07 issued.

31/05/11 wj bug in ENDBETA.BAS - expiry failed on fractional version numbers.

31/05/11 wj endbeta% additional test at start of profile in PROMENU.BAS.
UPDATE08 issued.
31/05/11 wj endbeta function modified slightly. Warning message and pause to press any key when beta version expired.
UPDATE09 issued.

04/06/11 wj BIG CHANGES.
Error trapping added to all modules. Each function now has the first line as "module$=ffffffff.bas" where ffffffff.bas is the name of the source file. The next line is "#INCLUDE perror.bas". which on error, directs the program counter to the general error trapping routine contained in PERROR.BAS. Each subsequent line is followed by a statement "moline$=nnnn" where nnnn is the LINE NUMBER counting from zero at the top of the source file. An error is now logged in the form DATE-TIME-MODULE-LINENUMBER-Error-ERRN-ERRM$ where the last two params are the PowerBasic ErrorNumber and ErrorMessage. A similar report appears on the console screen, without time and date.

The short program NUMERALL.BAS which uses function NUMERON.BAS was used to generate the program changes. The line numbering can be removed with the short program NUMEROFF.BAS. If it is necessary to re-do the error trapping line numbers - due to revised code - the program NUMERON can be used, old linenumbers will be scrubbed out and new ones inserted. The source and compiled version of the NUMER* programs is included. Error trapping has bloated PROFILE.EXE from 491kB to 1027kB (210%).

The vertical line at the seam of the A3 page has been removed in the source file PROLOG.BAS - not too sure if this is kosher.

The DIM for parsevars VARS$(*) has been normalised at 250 throughout.

The backslash for the drive C:\ in PROMAIL has been restored.
UPDATE10 issued.

24/06/11 PERROR.BAS module name format requires 8.3 = 12 chars. wj

25/06/11 wj. HOTSPOTS.BAS Molines were missing, now inserted.
25/06/11 wj. HOTSPOTS Block text adjusted to support very long folder paths.
UPDATE11 issued.

25/06/11 wj GETSETUP procedure CALL statement moved. HOTSPOTS "No File" message if mainmenu keyboard entry is invalid, and
friendlier backout if no change required.
UPDATE12 issued.

26/06/11 PROPRINT BigBox: was still incorrect. Bug 292

26/06/11 DEMOMARK.BAS position x0& passed from calling routine. Bug 293 & 294. UPDATE13 issued.

29/06/11 PROREPLY.BAS revised to allow partial licence for Windows 7. This change required MAILREPL.STD to be revised for the extra variable.
The new variable on screen named "VERSION" is entered as "7000" - this will cause the permit$ display string to read e.g. PBpH6W, the W denoting Windows7 permission. The Main Menu screen in PROMENU.BAS also changed to report absence of a Win7 licence, and to drop down to DEMO in the case of a station installing dot7002+ and running without a valid partial licence. So dot7001.14+ will still be subject to the Beta testing environment, as before. The code of the Win7 licence uses [ppn& AND 64] for this purpose. UPDATE14 issued.

08/07/11 BUG in PROREPLY.BAS – mask for the volume ID and date codes is now hard-wired. Bug in CHECKSUM.BAS which did not match the routine in dot6000. This had effects in PROREPLY.EXE. All of this is now fixed.

Problem in PROMENU.BAS where users of version 7001.nn up to 7001.99 should be subject to Beta Expiry, and users of dot7002 upwards are subject to licence. There was a variable which caused the fractional part of 7001.nn to be miscalculated, so Beta users were told that the version was running in DEMO.

There are one or two small presentation bugs which are relics from the integer world of dot3000 and earlier, these we would like to leave until later, or if more people complain. UPDATE15 issued.

20/07/11 wj 'PDFBLOCK.BAS pre-january logic restored .
20/07/11 wj 'MSDOT.BAS - bug at OPEN FOR BINARY BASE=0. UPDATE16 issued.

20/07//11 wj RICK pointed out that there was still a bug in that the first font switch was not detected. Turbo and PB pass parameters in different ways to FUNCTIONs and what were DEF FN/END FN. In this case FNDLEN.BAS - previously DEF FN - is now a FUNCTION, and the ffont& variable was being modified inside the function. Must check for any PB calls like CALL FN......... checked and there is only one - CALL FNunderline - and here we want the string to be modified in the function so no problem. UPDATE16 re-issued.

23/07/11 RIR requested a new parameter in @RUNFILE as "/9 debug=YES". OK but the slot for /9 on my version of @runfile is already occupied by "9/ PDF combine = C:\gdotplot\tempwj.PDF", so I have changed it to the next slot ie " 10/ debug = YES". AND @runfile.dat has been added into the list of files for the UPDATEnn zipfile.

The "splash" screen in PROMENU has been revised to move the cursor to line 18 before pausing to wait-for-keypress. UPDATE17 issued.

24/07/11 COMBINE and PROSTOP.BAS are perhaps concerned in Bugs 282/276. The targetfilename may have been accidentally named wrongly in the @RUNFILE and CMDLINE.BAS reads it. So I have added a validity check for the targetfilename with suitable reporting - but not tested.
UPDATE17 re-issued.

25/07/11 COMBINE and PROSTOP, the last update would call for NOFILE if the targetfilename was not present, ie would insist that it is present.
So NOFILE has been remmed out and the absence of the file will just cause the copy action to be by-passed. CMDLINE.BAS edited to suit - (/8 = targetfile)(/9 = debugYesflag). UPDATE17 re-issued.

25/07/11 PROSTOP.BAS now includes a trick to verify the targetfile path. PROMENU.BAS at kyll: the CLS instruction has been moved, maybe more exist which will have to be grubbed out. UPDATE17 re-issued.

29/07/11 DOTSECUR.BAS wj if device&>3 then device&=1, added trap for invalid value. PERMIT.BAS if ((ppn& AND 64)= 64) then permit$=permit$+"7" was W and also in PROREPLY.BAS. version revved up to dot7002. UP7002-0.zip issued.

PROMENU.BAS 29/07/11 wj IF expiry&<enddate(0) THEN pwd&=0 UP7002-0.zip re-issued. 13:30pm
29/07/11 PROMENU.BAS wj test revised. for all pwd&..IF ((product& AND 64)<>64) UP7002-0.zip re-issued. 14:20pm
PROMENU.BAS had a bug where a term licence expired still showed ACTIVE. Procedure moved. UP7002-0.zip re-issued. 15:20pm

30/07/11 PROMENU.BAS wj ver#=VAL(MID$(version$,p%)) ' needed as version is now written as DOTnnnn. UP7002-0.zip re-issued. 16:35pm

31/07/11 PROMENU VERSION$="7002" reset as before due to unwanted side effects. Warning "Not licensed for dot7000" = wording of message revised.

dot7002 – 31 July 2011

dot7002 released to the public.

02/08/11 PROREPLY.BAS wj new test for seeklastrow: added to allow any number of CR/LF pairs in the tail of the client's MAILFORM.OUT

06/08/11 PERROR.BAS remmed out CLS and color changes to match dot6000 GERROR.
UPD7002-3.zip issued.

06/08/11 CMDLINE.BAS trap for spaces in @runfile added, then routine revised to support spaces in filenames, and trap removed.
UPD7002-4.zip issued.

16/08/11 PROCONV.BAS Bug 320 - pirandom.bas error 0005 out of memory - this very unusual situation was caused by a slash for the header block
placed above the hole number. So there was NO HOLE NUMBER (no problem there was a trap for that), LAYER DEPTH ERROR (no problem, trap was in
place for that), and NO DESCRIPTION after the absent depth. The program now deals with No Layer Description !!!. For the silent types.
UPD7002-5.zip issued.

19/08/11 PROSETUP.BAS Bug 325 - Limgroup& should have been declared GLOBAL.

21/08/11 HOTSPOTS.BAS for TEST-SYMBOLS in hotPLOT key1: if cmd& AND 1=1 then.. This revision allows Test Symbols to be accessed from @runfile.
UPD7002-6.zip issued.

07/09/2011 PDFLOGO trap added for "Linearized PDF file not supported - please change the Logo." Function PDFLOGO is in PDFBLOCK.BAS. Message is hardwired. UPD7002-7.zip sent.

08/09/2011 UPD7003-1.zip issued for dot7003.

13/09/2011 CHECKSUM.BAS had a case where the value for the checksum had exceeded 255, so that PROREPLY could not cope with the ASCI value.
PROREPLY.BAS revised to ASC(value AND 255). LINEIN.BAS failed to deal with the code sent in by Lesotho, namely.. Last line read B8 0A 20 77 C8 EA 21 78 BB 0D 0A. LINEIN.BAS picked up the B8 0A as a valid line and the LastLine was therefore incomplete. The last line carries the volID and Cdate. The change to LINEIN.BAS may breed into the program. NB NB NB.
UP7003-2.zip issued.

dot7003 – 14 September 2011

Public Release of dot7003. When run via HotPlot, spaces in file names and paths are now supported. HotPlot's Activity = TEST-SYMB is now supported in the same way as for dot6000. Explicit message: "Linearized PDF file not supported - please change the Logo." (Explanation here).

29/11/11 PROPRINT.BAS at line 0565 runoff symbol was allowed only if it occurred on the last page - I don't know why. Condition removed.
UP7003-3.zip issued.

30/11/11 CMDLINE.BAS Runfile (from HotPlot) scale given same status as keyboard scale: Overrides SCALE parameter in text file.
UP7003-3.zip re-issued.

04/12/11 SEEKUSB.BAS had no warning if GREP.COM was missing.
UP7004-1.zip issued, with GREP.COM included.

dot7004 Released 5 December 2011

07/12/11 PROCODE.BAS warning "Plaintext encountered..." supersedes "dot6000 encountered...going demo".

10/12/2011 PROPRINT.BAS - Geo3 (Henry) found "PDF document has error..." PDF error if symbol crossed page boundary caused by "/Height" parameter in the Image Xobject Dictionary having a negative value.
PROPRINT.BAS 10/12/2011 wj if row&>0 then bd&=bd&+Row& moline 0583
UP7004-2.zip issued.

14/01/2012 PROINCL.BAS - Bar$ character (|) now used to de-fuse any keyword, including in Notes block. PROPRINT became necessary to remove Bar$ before printing. In PROCHARS.BAS it became necessary to change internal Bar$ from chr$(24) to chr$(23). See Ignore keyword in Notes.
UP7004-3.zip issued.

26/01/2012 SEEKUSB.BAS and FINDXUSB.BAS, Educational licence detection moved from FINDXUSB to SEEKUSB.
UP7004-4.zip issued.

27/01/2012 UP7005-1.zip issued

dot7005 Released 8 February 2012

16/02/2012 RICK suggested LOCAL variable holdmodule$=module$ on entry to SUB and module$=holdmodule$ on exit; this will enable much better error trapping as the actual module in which the error occurs will be reported. All 124 include files modified and renumbered molines. Version 7005.2 issued via UP7005-2.zip

17/02/2012 Two files PICKPUT1.BAS and DRAW1BOX.bAS evaded re-write yesterday. In PROCONV.BAS a stray END statement at line 948 now remmed out. Version 7005.3 prepared for UP7005-3,zip

21/02/2012 Colin Forbes at Geoscience found that the runoff symbol could appear twice under certain conditions, the second time on the last page where it would be shown above the page header. So I have put a trap into PROPRINT.BAS to detect and prevent a second occurence. UP7005-4.zip.

Lots of feedback from Geo3 and CORE:- 08/03/2012 WJ PROCOM.BAS module$ and moline$ moved from GLOBAL to LOCAL. Declaration of module$ and moline$ now inserted in each module before the #include "perror.bas". All modules now compiled with DEBUG EROR ON so Error.log now works properly. 08/03/2012 wj MAINMASK.BAS nss& symbol count test was incorrect. Geo3 reported that 10 symbols was causing message "too many symbols". 08/03/2012 wj PDFBLOCK.BAS DIM (500) was DIM (400) for various vars - was too small. This caused the memory to be corrupted when COMBINE was run and then on a subsequent run the program would crash. Reported by CORE. 09/03/2012 wj COMBINE.BAS initialize newno%(*) revised. This was corrupting new object numbers when COMBINE was cycled from selection menu. UP7005-5.zip issued.

21/03/2012 wj Bug in PROCONV.BAS where Bar$ to exclude samples was introduced on 13/01/2012, caused conflict with other variables. UP7005-6.zip issued.

06/04/2012 RIR: dotPLOT Translated from PowerBASIC Console Compiler 5 to 6.03 (VERSION = 7005-7). UP7005-7.zip issued to Winston. 06/04/2012 wj Rick succeeded in compiling dot7005-7 with compiler PB6.03

07/04/2012 The directory c:\hdotplot contains the source and compiled code. At the same time Rick reported that there were two bugs in PROSETUP 1) when re-defining fonts and 2) when re-defining provocab and con. The bugs were due to 1) array subscript and 2) error in allocating the correct prompt to the screen pick bar. Revised PROSETUP.BAS would not recompile with PB6.00 so a copy was sent to Rick.

08/04/2012 RIR: Added #RESOURCEs to PROFILE.BAS, including dot Icon. Updated Startscreen. Made Fetchcolors more tolerant of bad PROCOLOR.CUS file.

08/04/2012 Rick reported a bug in PROSETUP where revised colours were not correctly written to storage file PROCOLOR.CUS. Compiler PB6.00 found to work ok - must have been the colour bug.

09/04/2012 Another small bug in PROSETUP when picking prompts - the CURRENT prompt file was not detected properly. Rick corrected prosetup at line 0358. Will now switch compiler to PB6.00. UP7005-8.zip issued to RICK.

120409 WJ PROSETUP Minor bug at moline 0118 PROSETUP affecting CURRENT CONVOCABs

120411 WJ Compiler PBCC6.03 installed.

120424 PROFILE.BAS PROCONV.BAS Compiler PBCC6.03 crashing. In PROFILE.BAS instruction #DEBUG DISPLAY ON now remmed WGJ. In PROCONV.BAS new variable testn% added to aid testing. Testing was needed to discover reason for strange symbol arising from "POCKETS", keyword detected in notes block, see USERCONV.DAT, reported by GEO3. UP7006-0.zip issued to Rick.

120501 Folder LJ4\*.WID and *.XID. Source file PROSETUP.BAS altered. Rick pointed out that a choice of LETGOTHIC font in JET-SETUP led to unwanted results. The same would have been true of all the offered choices (except CGTIMES AND UNIVERS (swiss)). The reason is that those fonts (or type faces) were left-overs from version dot5000 PCL output. We no longer support PCL output, since PDF has made it redundant. Therefore the files in folder LJ4 relating to the PCL fonts have now been excluded by renaming them from *.WID to *.XID. In addition a new set of files COU??10U.WID, metrics related to COURIER type face, have been created to avoid the message "Fontfile not found...." Note that the files *.XID could just as well be deleted. Note that PBCC6.03 intermittently refused to compile (even with #DEBUG DISPLAY ON remmed out) but seemed to be ok with the final revisions. WJ machine had all AV programs and Malware detection brought up to date and C:\drive scanned - nothing found. UP7006-1.zip issued to Rick.

120503 PROSETUP.BAS WIDTHTAB.BAS PDFFONTS.DAT File Extension .MET replaces .WID for font files. UP7006-1.zip RE-ISSUED to Rick.

120505 PDFFONTS.DAT Henry Geo3 found that symbols ñ ò ó ø (241 242 243 248) were no longer supported. This required the file PDFFONTS.DAT to be revised. I also discovered that PDFFONTS.DAT was not included in the Update Zips. Also the UPversion numbers UP7007* were wrong, corrected to UP7006-* UP7006-2.zip issued to Rick.

dot7006 Released 7 May 2012.

120707 SEEKUSB.BAS: Rick found seekusb.bas would crash if NOTE1.KFC was absent, such as would happen in a new installation, with an error message on 64-bit and no message on 32-bit. WJ found that SEEKUSB was setting the attribute of file fb$ (NOTE1.KFC) whether the file was present or not. On some systems –not all– this would raise an error condition. Added code to bypass the set of attribute if NOTE1 is absent.

dot7007 Released 23 July 2012.

120816 wj MARGINS.BAS if (compress&=0) OR (compress& mod 10 >0) check space for Abbrevations. Pointed out by Rick - re Crossman Pape. dot7007-1

120817 wj LINEIN.BAS The routine to read an asci text line had code to replace the tabchar (09) from MSWORD with 4/spaces. This gave indigestion to
PROREPLY.BAS if tabchars were found in the licence-tail of MAILFORM.OUT So it has been revised to allow tabchars as required for PROREPLY.
Bug discovered by Rick. dot7007-2 issued.

120817 RIR: PROFILE.BAS, PROMAIL.BAS, PROREPLY.BAS and SCROLLC.BAS updated for PB 6.04. Compiled PROFILE.EXE & PROREPLY.EXE. Changes to Winston.

dot7008 - 9 September 2012 Released 17 September 2012.

120905 wj volID code in .CSV - PROREPLY.BAS vol id code useful for CHEKPASS.BAS. PRINT #fh&,volumeID$+c$+usbdate$+c$;CVL(xorCV$);c$;
120929 wj PAINTLIB.BAS translated to PB, compiled, issued to RIR, added to UP7007-0.LST.
121003 wj PROCODE.BAS Eow$, now in common, was being altered in other modules. UP7008-2 issued to RIR
121003 wj UP7009-1 issued to RIR

dot7009 Released 5 October 2012

121112 wj Henk Labushagne found DXF not working, Rick found it was caused by dotPLOT not correctly using the @Runfile. Bug was found in basfile HOTSPOTS.BAS where the Runfile value for Device& was overwritten. CMDLINE.BAS was revised slightly - cleaned up - but no material change.
121112 wj: UP7009-2 issued to RIR

121123 PROCONV.BAS Water table and sample "names" were defined in dotPLOT as "first char alpha and no lowercase chars". This has now been modified to allow new "Date Format" to qualify as a Sample or Water Table NAME. Date Format is defined as being in the form nn/xx/yy where two slashes are present, separating three items, the first of which must be numeric. PROVOCAB.ENG and CONVOCAB.ENG modified to allow the use of "rest level" as a water table adjective. The new date format applies only in the NOTES Block.

121205 PROCONV.BAS Samples: did not produce the graphic in the case of the test file TP1b.txt (revised RIR) The depth value counter NVC& was initialised to 3 for some obscure reason, revised to 1. We may get trouble breeding from this later on. UP7009-3 issued to RIR.

121205 PROPRINT.BAS as sample labels are printed, the dot length is scanned so that in PROLOG a compressed RHM can breathe to leave space for them.

121211 PROLOG and PROCONV, space for sample names adjusted, bug in filter for dateword detection.
The single slash is now acceptable for a date to qualify as a name (dd/mm as well as dd/mm/yy and dd/mm/yyyy).

dot7010 Released 11 December 2012

121212 Fixed an oddity in dotPLOT: the "Compress Borelog onto Profile Page" option gets turned off for subsequent profiles if a preceding profile lacks ATTRIBUTEs. If one removes all ATTRIBUTEs for hole BH01 and runs with BH1PG-A4.SET, hole BH01's profile is compressed onto one page as expected, with a blank block where the attribute columns would be, but then BH02 behaves strangely: The profile page and attribute pages are printed separately as if the "Compress Borelog onto Profile Page" option was not in effect, yet the profile is compressed onto the right-hand part of the page as if it was still in effect. Altered PROCOM, PROSTOP and GETSETUP.BAS - Setcompress& introduced. The Compress& option would be zeroed if a profile with no attributes was in the job stream. Setcompress& now stores the GETSETUP value for Compress& and PROSTOP recovers it at the end of each profile.

121212 RIR: Compiled and Re-released as version 7010 with HotPlot 3.10.1.

dot7010 Re-Released 12 December 2012

121226 Rick found some bugs in keyword detection where the special format chars were interfering, in both descriptions and notes. Code files PROCODE PROCONV PROINCL PRODIM.BAS edited - The general solution method adopted is to make a copy of the text string, remove the special chars, then complete the detection process using the modified copy. Rick also found that underlining was erratic - a nasty bug was found in sub BREAKPT.BAS, called by PROFORMA, where the UnderlineOff Special Char was overlooked if the preceding char was not chr$(32). The fix here may have repercussions - be alert for erratic underlining.

121229 wj waitkey$ remmed in PROCONV.BAS

121229 wj PROCONV revised to make RED the default text colour highlight. UNDERLIN.BAS revised to deal with stray obscure bugs where use of the special switch char caused spaces to appear or disappear incorrectly. PROFORMA used for test traces but not altered. Issued to RIR.

121230 wj PROPRINT small bug removed to allow NUL Descriptions to give single blank page. Not issued.

130102 wj PROCONV default colour had a bug. PROPRINT added to issue.

130111 wj Stuart Morgan found a bug in the symbol summary RH justification. PROSUMMA.BAS revised with a better routine to find the pad string used between the symbol phrase and [SACODE]. Stray Waitkey$ in PROCODE has been removed. UP7010-2.zip issued.

dot7011 Released 11 January 2013 with HotPlot 3.11.0

Winston has made major changes to allow for Logos in the new Linearized PDF format, which dotPLOT previously reported as an error. This generated a host of new bugs, which have been fixed.

He fixed a bug that allowed notes to incorrectly generate Cobbles and Runnels as sample symbols.

The symbols for Vane Shear, Cobbles, and Runnels have been moved from the User Symbol Library to the standard library, leaving the User Symbol Library free for users' own symbols; which will then not get overwritten by updates.

Samples taken over a range starting at the surface (e.g. "0.0--0.5m") were previously not allowed: Now they are.

Layers without a description caused the program to crash; this is now fixed.

dot7012 Released 27 March 2013 with HotPlot 3.12.0

20130329 wj Bug found by Stuart and Rick in Legend. Bug when Adding to Summary. Additional revision to cover all cases.

20130406 wj Legend still had a bug as per EXAMPLES,txt. Debugging was further made difficult by using a text file from Stuart wherein the text had his own [SA--] codes and he called for [SA23] which is not a stand alone symbol, has no name. Dense Ferricrete is [SA23][SA29] but [SA23] on its own has no name.

20130420 wj Rick found that when the logo file was missing it would cause the top soil symbol to be missing in COMBINED.PDF for all profiles after the first. Also there was a fault in PDFLOGO which would fail under unusual conditions (viz. queued and nested Dictionaries) in the customer's LOGO.PDF file.

20130421 wj Reset badlogo% added to PROSELEC, Message clear added to PDFLOGO.

20130423 wj The legacy CONVOCAB.ENG had only one keyword /sample/ which was sufficient to detect both "sample" and "samples" in the notes. Exact match of keywords is now required. Consequently CONVOCAB.ENG has been edited - viz /samples/ has been added. However some old files using "samples" (plural) with the old CONVOCAB.ENG may miss the associated graphic. Another bug caused the water table symbol to be mis-allocated to BANDS in the notes block. And found another fault in PROINCL.

20130424 wj The mask for BANDS in notes block was black instead of clear.

20130425 wj The plural of /SAMPLE/ in CONVOCAB now constructed from /SAMPLES:/

20130425 wj Single Tile sample graphic now forced BLACK.

dot7013 Released 27 April 2013 with HotPlot 3.13.0

20130501 wj AECOM (BKS) investigation into "crash". Found that this happens on 64-bit machines where the user does not have rights to write to the Output Path, e.g. C:\

20130506 wj Henk required negative layer depths. PROCONV.BAS revised. UP7012-6.

20130507 wj Sign of reduced level restored. UP7012-7. Reduced Levels below Sea Level now show negative. If you ask for Reduced Levels but leave out the hole elevation, you will get negative Reduced Levels on the left of the Borehole Log.

dot7013 Re-released 7 May 2013 with HotPlot 3.13.1

20130517 wj Worley Parsons reported a wrong border (for Reduced Level stave) if Borelog Options was set to 210. I have added the condition "IF swaprd% (is true) else omit". This may not be watertight. PROLOG.BAS :- IF (calc%=2) AND (Comp%=0) and swaprd% THEN ( ... draw border for Red Level Stave)

20130608 wj A new user-symbol was added to USERLIB.DAT USERCONV USERPROV and USERCAT.DAT in the form of a warning triangle (USERLIB.tri) or an Asterisk (USERLIB.ast) invoked in the Notes Block by keyword CAUTION or WARNING. Files issued to Rick.

20130627 wj Rick reported a number of instances where user rights over the output path did not include Create Permission and dotPLOT subsequently crashed. I have added a piece of code at the head of PROSTOP.BAS to test for a valid path before any attempt is made to create the job-folder. This may enable PowerBASIC to return an error message before the crash. 7013-2 issued to Rick.

20130727 Elmarie Mouton found after installing 7013 that her logo was whiting out part of the page. This was due to a white-out in the logo. But 7013 uses the same logo routine as her previous 7002. Closer look showed that 7011 puts logo FIRST then details, but 7012 & 7013 paint details first and logo LAST. Sequence reversed in PDFBLOCK.BAS. 7013-3 issued to Rick.

dot7014 Released 1 August 2013 with HotPlot 3.14.0

20131030 Elmarie Mouton found "numbers" for Graphs missing. This was caused by the "exact match" story from 20130424. After 20130424 I had devised the manufacture of the plural form of "sample" so that the new CONVOCAB file was no longer needed, and the "exact match" routine in FUNCTION FnPres (PROINCL.BAS) is no longer required. So I have restored FNPres to it original form. And now the "NUMBERS" keyword, and possibly others too, are properly detected and sample/samples.

dot7015 Released 31 October 2013 with HotPlot 3.15.0

20131101 at RIR's request, messing about with PDF "/Contents" sequence. up7015-x.zip issued.

20131103 wj attr/profile stroking sequence reversed, page order restored. up7015-1.zip ready for issue.

20131106 wj page order optional, user switch = GOOFY in jetsetup, paths.2. PDFBLOCK.BAS, GETSETUP.BAS PROMPTS.ENG changed. up7015-1.zip re-written, issued.

20131108 wj I found conflict between new symbol ASTERISK and [*]=KEEP OUT. The keyword "GOOFY" is replaced by the first capitalised word in the prompts-file second section, block three, whatever that may be (now, as issued in PROMPTS.ENG, the keyword is "REVERSED"). CALL Fetchprompts2() added to FUNCTION Getsetup, so that the GoofyKey$ is ready for immediate use.

20131126 wj CASE GoofyKey$, "1" requested by RIR (GETSETUP.BAS) up7015-3.zip issued to RIR.

20131128 wj PROLOG.BAS Rick noticed the footer block did not line up under certain conditions of word-count and when "compress mod 10 >0" up7015-4.zip issued to RIR.

dot7016 Released 28 November 2013 with HotPlot 3.16.0

20131211 wj Rick found that var stationage& stored in PROLIB.DAT was not used as intended for DEMO darkness due to bug in DOTSECUR.BAS for bday&.

20140106 wj MSDOT.BAS x$=REMOVE$(X$,CHR$(0)) to deal with unicode chars

20140111 wj PROCOM.BAS new global var NdsMax% dimension and max count for samples (all types) introduced. PRODIM.BAS and PROCONV.BAS adjusted. Ndsmax% set at 50. Issued as up7016-2.zip

20140116 wj Major re-write done to treat Notes similar to Layer Descriptions. The notes block can now run over more than one page, but each paragraph (ie each note) must not be bigger than a page. The following files were affected: PROCONV.BAS (RIR) PROFORMA PROPRINT PDFLOGO COMBINE Number of samples has been increased to 100 !! The effects of this may be felt only long into the future as the number of objects in a file goes ballistic. The dimensioned arrays likely to give trouble are noted in PDFLOGO, currently set to 700. Also I have left NUMERON in COMBINE.BAS to trap and pinpoint possible future overflows in these arrays. When PB runs, an index overflow causes a GPFault and the thing just crashes, unless it is COMPILED WITH DEBUG ERROR ON. up7016-4.zip issued

20140117 wj minor bugs in PROFORMA.BAS from yesterday. UP7016-5.zip issued

20140119 wj minor bugs in PROFORMA.BAS UP7016-6.zip issued

20140121 wj minor bugs in PROFORMA.BAS UP7016-7.zip issued

20140203 wj major bugs in PROFORMA.BAS UP7016-8.zip issued

20140223 wj Rick reported a bug from CORE whereby sample names were not being detected correctly. this was a simple matter of adding ")" right parenthesis as a word separator to the parsing. BUT there were further bugs in PROFORMA.BAS which prevented the CORE example from even terminating. UP7016-9.zip issued.

20140301 Joe van der Merwe found that tabular attribute input required exact alignment and this did not work well on screen with proportional fonts. So subroutine TABULAR.BAS modified, and PROMPTS.ENG modified slightly to suit. It now works ok but if a blank attribute occurs in the tabulation then error reporting of a missing tabulator does not appear unless an attribute is real.

20140311 Corrections required to PARSVARS.BAS. TABULAR.BAS (largely re-written) Blank attributes now accepted, Tabulation error reporting improved, If a row in a tabular attribute has the FIRST bar separator missing then it will be patched in. If tabulation is incorrect in some row, then ALL the attributes in that row are replaced with a query (?).

20140312 Minor correction in TABULAR.BAS. TRIM$ required.

20140315 Rick suggested we drop need for colon separator in columnar attributes. dot7016-X issued for trials.

20140317 wj PROCONV.BAS revised to accept SAMPLES [INCLUDE FILE] in notes block of the text file. Usage as follows:-

SAMPLES: [INCLUDE FILE] filename (square brackets optional). The file should then be arranged as a simple list of DEPTH : SAMPLE-NAME-TEXT (colon optional).

Sample name text requires no special structure, no restrictions. Depths need not be ordered. If the depth is found to have no value then it is examined for SAMPLE TYPE, the usual rules for naming the sample type apply. DOUBLE MINUS for a depth range can be used. If no sample type is found, default is DISTURBED. Example file SAMPTEST.EXP and 3379D.TXT added to UP7016-Y.ZIP issued.

20140319 RIR added extra error-trapping in combine.bas @ 0156a & b for Error 9. Made DIM obstart& and obleng& in COMBINE.BAS variable, iVmax%=5000.
In SEEKUSB.BAS if Signature String contains "WorleyParsons" then NdsMax% (Maximum number of Samples)=140, else 50 if licensed, or 36 if Demo.
MENU.BAS displays number of samples.

20140319 wj Rick testing with BH703-2.TXT for WorleyParsons came across a nasty bug in TABULAR.BAS where array Xcol%(*) required more space.

20140320 RIR Increased DIM obstart& and obleng& in PDFLOGO.BAS to prevent crash on
combine.bas @ 0156b 701 5000 145181 Error 9 - Subscript/Pointer out of range

20140321 WJ Deugging PROCONV and TABULAR.BAS, REDIM in COMBINE. up7016ZZ sent.

20140322 wj more debugging mainly TABULAR.BAS up7016ZZZ.zip sent

dot7017 Released 26 March 2014 with HotPlot 3.17.0

20140329 wj Include files for samples now displayed with usual dotPLOT output.

There is a new option for entry of samples data as follows:-, SAMPLES: [INCLUDE FILE BIND] |Path:|filename (square bracket optional). The text file should then be arranged as a simple list of, DEPTH : SAMPLE-NAME-TEXT (colon optional).

Sample name text requires no special structure, no restrictions. Depths need not be ordered. If the depth is found to have no value, then it is examined for SAMPLE TYPE; the usual names for sample types apply. If no sample type is found, default is DISTURBED. DOUBLE MINUS for a depth range can be used. A sample type persists until changed.

The text contained in |Path:|filename will not appear in the normal dotPLOT output, but if the keyword BIND (optional) is found, it will cause a listing of |Path:|filename.PDF to be placed in the job folder and furthermore, if the option to COMBINE profiles is taken, then all files |Path:|filename.PDF will be included in sequence in COMBINED.PDF.

Only one SAMPLES: INCLUDE FILE per hole is supported, but any hole may use an INCLUDE FILE. The listing of |Path:|filename.PDF will be made in the job folder only if BIND is found. The list is printed as unformatted text, with page breaks automatically inserted mod 56, the user's logo and page numbering in the heading.

20140401 *.BAS synchronised with Ricks "unpack\up7017-RIR.zip", up7017-01.zip issued.

20140404 Rick pointed out that last page in case of COMPRESS%>0 could make use of space to the right of the soil stave. PROFORMA.BAS revised.

Zig-zag lines connecting layer description separator lines to soil symbols have sharp corners by default. Corners can now be filleted by specifying in header "BEZIER : 30". Value 30 denotes radius (dots) of Bezier curve to fillet corner of zig-zag lines. up7017-02.zip issued.

20140409 Rick, for Martin Handl, found formatting of NOTES erratic. This arose from earlier work for Worley Parsons where the NOTES were formatted together with the layer descriptions. Bug found in PROFORMA where the "target" position for a note was trying to use the Zed#() depth of some layer, which of course is not real. up7017-03.zip issued.,

dot7018 Released 6 May 2014 with HotPlot 3.18.0

20140521 wj bug left over from 7017-04: [SACode] was not recognised as not needing plaintext. up7018-02 issued. Previous work-around was to place a tilde (~) or back apostrophe (`) anywhere in the line.

20140523 wj PROCODE.BAS revised to allow output of plaintext descriptions provided some [SAcode] is present, where licence for plaintext is absent. up7018-02.zip re-issued.

20140605 wj GEOSURE wanted to plot depths in mm. up7018-03.zip issued.

20140610 RIR NEW method for reading attributes DEPTH : TEXT, colon optional,
NEW RULE - If colon is present then DEPTH is LAST value-word before colon, and TEXT is all characters after the colon. Else, if colon is not present then depth is FIRST value-word in the line and text is all characters after the value-word. Suggested by RIR.
up7018-04.zip issued.

20140623 bug in PROCONV zero sample depth, restored fix from 130306.
up7018-05.zip issued.

20140804 wj PDFLOGO.BAS: IF rootoid&<=0 THEN message "can't find root object".
up7018-06.zip issued.

RIP Winston Jones: Born 1934-08-06, Died 2014-08-09, age 80. A great, multifaceted Engineer and a wonderful human being.

Winston Jones Memorial Walk, 16 August 2014, Kalkheuvel.

dot7019 Memorial Issue 16 August 2014 with HotPlot 3.19.0

Bug-396 on PROCODE.BAS reported 18 Aug 2014 by Henry Schurink, fixed by Rick on 18 Aug 2014: In dot7019 released 16/08/2014, NO symbols appear on the left of the stave if you do not have Plaintext.

dot7019 Memorial Issue re-released 19 August 2014 with HotPlot 3.19.0

RIR 150910 PROMPTS.ENG: Added "Licence " to prompts:
93 \DOTPLOT.USB Licence not found on any drive!
96 Licence found but not valid!
PROMPTS.AFR prompts 93-96 changed to match PROMPTS.ENG. Other PROMPTS files still have prompts 93-96 unchanged.

RIR 150917 PROMPTS.ENG: Corrected spelling and punctuation:
47 TEXT TOO LONG FOR PAGE: CUT! Press any key.

RIR 150917
Fixed Bug-420: Print "NOTES" Heading only inside the print area. It previously occasionally printed in the header or on the bottom frame.
Fixed Bug-421: Align all notes with the same margins as the layer descriptions, with a separate Note Number on the left. Previously the note number formed part of each note, and the first line of each note projected to the left. This appeared unsightly, as the leftmost edge of notes did not line up vertically.

dot7020 Released 18 September 2015 with HotPlot 3.20.0

Bug-434 reported 18 Feb 2016 by Tony A’Bear, fixed by Rick on 17 Aug 2016:
+depth layer < 1.00 gives a layer depth error, with the +depth shown less the top layer!
With only one layer there is still an error, just a different one.

dot7021 Released 17 August 2016 with HotPlot 3.21.1

dot7022 Released 10 February 2017 with HotPlot 3.22.0:

Serious Bug-445 on Security reported 10 Feb 2017 by Rick, fixed by Rick on 10 Feb 2017:
Term Licence did not function correctly when run via HotPlot.

<< Previous – What's New in HotPlot – Next >>

What's New in dotPLOT 6000 for 32-bit PCs?

The dot6000 series will not be developed further, but was supported until end 2012. See above for changes to dot7000 (latest changes directly above, older ones above that).

Version 6008 – 14 September 2011

07/09/2011 Trap added for "Linearized PDF file not supported - please change the Logo." Message is hardwired. Explanation here.

Version 6000 – February 2010

The licensed dot6000 version contains a ground-breaking enhancement: "Tilde-less" descriptions! Existing dotPLOT users know that key words for soil symbols have to be marked with a tilde (~) for the program to recognise them –no more! dot6000 automatically recognises all soil symbols in any description that does not contain tildes or the back apostrophe (`). To ignore unwanted symbols, use the vertical bar ( | ) to "bar" them. This makes dotPLOT even easier to use. Existing dotPLOT users can upgrade to dot6000 for a fee; recent purchasers get it as part of the package.


Installing and Licensing

Installing the Programs – Overview

<<Previous – Next>>

You need to carry out the following tasks to install HotPlot on your company network:

Install on every PC: Download and Install HotPlot + dotPLOT from the internet in one combined package.

Request and Install a Licence. The Licence is requested by e-mail, will arrive by e-mail, and must be saved to a hard drive or USB flash drive. The program will run in DEMO mode in the meanwhile.

Test the programs.

Periodically, HotPlot and dotPLOT are revised to add new enhancements and fix bugs. To check for the latest versions and to update the programs, click here to go to the dotPLOT web page. To find out what the latest changes are in this version, see What's New?

To make sure that you are notified when a new version is issued, subscribe to Software Africa's monthly e-Newsletter: Click here and SEND the resulting e-mail now!


Setup on PC

Setting up HotPlot and dotPLOT

This section is relevant to you only if you are the person installing HotPlot/dotPLOT.

The programs are supplied as a series of Internet downloads. For a fee all files can be made available on a CD-ROM.

Prerequisites

HotPlot should be run on Microsoft Windows 7, Vista, or Windows XP with Service Pack 2. To find out which Windows version you have, click Start > Run, type WinVer and press Enter. If you have Windows XP but not Service Pack 2, we recommend that you visit Microsoft Windows Update to download and install the latest updates for your system. dotPLOT may not run on "Home" versions of Windows, or you may need dot7000. dot6000 ran on 32-bit PCs only. dot7000 runs on 64-bit PCs too.

Installing the Combined HotPlot + dotPLOT Package

To install the suite directly from the Internet, click here to go to the dot7000 Setup page. The package can be downloaded from the Internet in an executable file dot7000Setup.exe.

  1. If you previously installed HotPlot, do not uninstall it: The new setup will simply write over it.
  2. You need to have a separate program that can read PDF files, such as Adobe Reader (58 MB), available free here)
  3. Click the download hyperlink on the web page you chose above.
  4. A pop-up window will ask if you want to Save or Run the program. Choose Run.
  5. When you click the above link your Browser will ask if you want to Run or Save the file. Choose Run.
    (for multiple PCs, you can Save it (remember where!) and then Run it later on each PC)
  6. Wait a minute or two until the program has downloaded.
  7. A screen will open saying "Welcome to the dotPLOT and HotPlot Setup Wizard". Click Next >.
  8. "Select destination location". The Setup Wizard will propose to install HotPlot into the folder C:\Program Files\HotPlot.
    dotPLOT will always install into C:\dot7000. Existing *.SET, LOGO?, and ???VOCAB.* files will NOT be overwritten. Click Next >.
  9. The Setup Wizard may say that the folder: C:\Program Files\HotPlot already exists. Would you like to install to that folder anyway?
    Click Yes.
  10. "Ready to Install". Click Install.
  11. The installation should run, with progress shown by a progress bar.
  12. After a few moments it should say: "Completing the dotPLOT and HotPlot Setup Wizard".
  13. Tick the appropriate box if you would like to:
    • Copy your setup files from a dot5000 installation
    • Copy your setup files from a dot6000 installation
    • run HotPlot now,
    • open this HELP file, and/or
    • open the User Manual (PDF file),.
  14. Click Finish.

After Installation:

  • You should find a "red dot" HotPlot icon on your desktop, and another on Start > Programs.
  • When you first run HotPlot, it will notice that you have dotPLOT installed and set the path (C:\dot7000) in the top box.
  • Click Help for pointers on getting started.
  • Sample Text files are installed on C:\dot7000\Examples
  • Manuals and sample output are installed on C:\dot7000\Manual
  • If this is a new installation, click the License button for instructions on how to License dotPLOT (and see below).
  • You can upgrade the system at any time by repeating the installation process.

To run HotPlot from the Start menu, click the HotPlot shortcut on your desktop, or click Start > Program Files > HotPlot.

The program will run as a demo until licensed. See the Next page for the licensing process.

This install includes the latest User Manual and Examples, but not the Tutorial, which you can download from the above web page:

Other Downloads

These are obtainable from this link. Save them to C:\dot7000\Manuals and HotPlot will be able to find them.

  • dotPLOT_User_Manual.pdf: Extensive User Manual covering all aspects of dot7000 (now forms part of the installation package).
  • dotPLOT_TUTOR.PDF: Quick-Start Tutorial, now a bit outdated as it still uses the tilde and acute accent to mark soil symbols.


Licensing

This section is relevant only to the person installing the System.

Demo

You don't have to license the dotPLOT + HotPlot system in order to use it. It will run as a demo until licensed: The word DEMO will appear on printouts, gradually darkening with age.

The licensing system works as follows:

Licence Options

The basic dotPLOT Licence covers only soil profiles. Extras, optional but recommended, are:

  • Borehole Log: This is essential if you are doing cores and not just test pits. This option gives you a facing page (which can be combined onto the main page) with columns of attributes that can include graphs.
  • PDF: This is necessary to produce PDF files, both for e-mailing and for printing using Adobe Reader. It now forms part of the core package of dotPLOT and is always included in the options.
  • HotPlot: Without this option, if you run dotPLOT from HotPlot, it will run as a demo. A licensed dotPLOT can still be run thorough DOS, but you miss out on the user-friendly Windows interface and extra features of HotPlot.
  • Plaintext (Automatic Symbol Recognition / "tilde-less" text), a new feature in dot6000: If you are upgrading from a version earlier than dot6000 there is an extra charge for this. If you purchased dot6000 or later, it forms part of the package.
  • dot7000, the first version that runs on 64-bit processors: If you are upgrading from a version earlier than dot7001 there is an extra charge for this. Upgrades within the dot7000 series are free.

Where to Put the Licence?

The Licence is an encoded file customised for a specific drive. Think carefully about where you want to store the Licence as it can not be moved later. It may be C: (your hard drive), a USB flash drive, or a mapped drive on a server (not a Linux server). A server may also have a flash disk mounted and shared. Pro's and con's:

  • The Licence on C: lasts for the life of the drive, and dies with it. It is tied to that PC or laptop.
  • A server Licence lasts for the life of the server drive, and dies with it. It can be accessed from any PC as long as that machine is on the network. Multiple users can be licensed.
  • A Licence on a flash drive is mobile and portable, but prone to damage, loss and theft. It may be attached to a PC or a server, and may be for multiple users.

In all cases you should insure your software! Loss of the Licence may mean that you have to purchase an additional Licence to replace it (at half the price of your first copy of the program). If you can produce reasonable proof of the total loss of the licence, it may be replaced at a cost of R1000 + VAT: e-mail register@softwareafrica.co.za.

The Recommended Licensing Process in a Nutshell

  1. If you are putting the Licence on a flash drive (see above), make sure that it is inserted and that you know the drive letter.
  2. In HotPlot, click the [Licence] button.
  3. Fill in the Licence details.
  4. Click the [Save] button.
  5. If you have Windows-based e-mail (e.g. Microsoft Outlook), click the [e-mail] button: An e-mail will be created in your default Windows e-mail package.
  6. If you use internet-based e-mail (e.g. Gmail, Live, Yahoo, Webmail), create an e-mail to register@softwareafrica.co.za with Subject "dotPLOT Licence Application".
  7. Attach the file C:\dot7000\MAILFORM.OUT and sent the e-mail.
  8. As soon as payment has been received, we will reply with your Licence file, a file named PROPASS.KEY. Save it file to the folder DOTPLOT.USB that will already exist on the drive that you selected for your Licence:

If, due to your unrequited love of DOS, you prefer to do the licensing via dotPLOT itself, click here to go further down this page.

The Recommended Licensing Process in Detail

You now have enough information to do the licensing. If you want to see the process in detail, read on:

Requesting a Licence

If you have not already done so, install HotPlot and dotPLOT as explained on the Previous Page.

Run HotPlot. At the bottom left of the HotPlot window, click the button [Licence]. This will put you into the Licence Application window::

The Internet Licence Application Window

You should see the window shown alongside. Type your company details in the blocks. Tooltips appear if you hover the mouse pointer over a block. The "Company Name" must include your branch or city and will appear on all printouts from dotPLOT, so make sure it is correct!

Press Enter or Tab to go to the next line, Shift+Tab to go up a line.

Select the items you want in the "OPTION" choices:

  1. Tick Option Borelog if you want Borehole logs.
  2. Tick Option PDF, HotPlot and PlainText – you will almost certainly want these: If you are upgrading from an earlier version there is a charge for PlainText. If you purchased dot6000 or alter, it forms part of the package.
  3. 64-bit dotPLOT? This should always be ticked for the latest dotPLOT. HotPlot detects whether you have a 32- or 64-bit PC and shows this alongside on the right.

Licence Drive

Think carefully about where you want to store the Licence. It may be C: (your hard drive), a USB flash drive, or a mapped hard drive or USB flash drive on a server (not Linux!). The Licence on any drive lasts for the life of the drive and dies with it. A Licence on a flash drive is mobile and portable, but prone to loss and theft. In all cases you should insure your software, as loss of the Licence means that you will have to purchase a Licence to replace it.

While the choice of drive is up to you, we recommend a USB flash drive because it is portable and likely to outlive any hard drive. For security purposes it can be inserted in a Server USB port and locked in the Server Room.

In all cases, specify a mapped drive letter only, not a path with subfolders! If necessary, map a new drive letter to the folder you want to use. This drive letter must exist, otherwise when you Save, you will get the message: "Drive X: can not be accessed! Please insert USB Flash Drive or change drive letter."

Caution – Network Drives: You must have rights to create, modify and delete files and folders on the mapped drive that you choose. The licensing program will try to create a folder named DOTPLOT.USB on the mapped drive, and the licensing process will fail if it can not do so. Alternatively, before completing the form above, you may manually create this folder on root folder of the drive concerned.

Multiple Users: Number of Copies

A server Licence (putting the Licence file on a server drive) allows you to have more than one copy (increase "number of copies"): The number of concurrent users is controlled. Any extra users who try to run profiles at the same time will produce a message "No More Licences Available" and printouts marked "DEMO". For network use, the folder should be mapped as the same drive letter for all PCs that will be using dotPLOT. See the section Additional Licences below.

Multiple Dongles: Tally in Family

An alternative to a server Licence as outlined above, is to have several interchangeable USB flash drives ("dongles"). In this case you should leave "number of copies" at 1, and change "Tally in Family" to the number of separate dongles you want. See the section Additional Licences below for details.

"Check Licence" Button:

As of Version 3.21, there is a new button at the bottom of the Licence form: Check Licence. This reads all license folders from Z: to A: until it finds a valid licence, and reports on the licences found, and their options. Here are some examples of invalid and valid licences.

Apply for a Licence

Click the [Save] button. If there are no errors, proceed. Otherwise fix them first.

If you have Windows-based e-mail (e.g. Microsoft Outlook), click the [e-mail] button: An e-mail will be created in your default Windows e-mail package.

If you use internet-based e-mail (e.g. Gmail, Live, Yahoo, Webmail), create an e-mail to register@softwareafrica.co.za with Subject "dotPLOT Licence Application".

Attach the file C:\dot7000\MAILFORM.OUT and sent the e-mail.

Receive and Install Licence

Once you have paid, you should receive an e-mail with a licence file attached. The file will be named PROPASS.KEY. Save it to the folder named DOTPLOT.USB which will already exist the drive that you selected above for your Licence. NB: Do not re-create this folder –doing so will invalidate your Licence!

Thus the Licence file will be C:\DOTPLOT.USB\PROPASS.KEY for your local hard drive, or it might be E:\DOTPLOT.USB\PROPASS.KEY for a flash drive.

Test the Licence

If you chose a flash drive for your Licence, make sure it is inserted into your PC. If you have a server Licence, make sure that you have mapped the relevant folder with any drive letter.

Run HotPlot. At the bottom of the HotPlot window, click the button [Go to dotPLOT]. This will put you into the main dotPLOT Menu:

 UserNo# = 1 / 1

d o t  .  P L O T
=================

Program to print and draft soil profiles

Version 7010

MAIN  MENU

DONGLE #57 Licence D077 Software Africa PBpH67

 Program Active

PROFILE VOCABULARY Filename = PROVOCAB.ENG
SETUP Filename = STANDARD.SET

      F1              F2               F3             F4              F5
     START         ACTIVITY        OUTPUT to        ADDRESS         ACCESS
                    PROFILES       PRNTFILE.PDF    C:\DOTFILES     JET-SETUP

You should now see your Licence details in the middle of the screen and the message "Program Active". The code "PBpH67" represents your Licence options: P=Profiles, B=Borelog, p=PDF, H=HotPlot, 6=dot6000 features (Plaintext), 7=dot7000 (64-bit).

When you run profiles from dotPLOT, the "DEMO" watermark should have disappeared. Press Esc to get out dotPLOT.

You are ready to use all the features of the system. Congratulations! Next >>

PS: If you briefly got an error message "S:\DOTPLOT.USB\PROPASS.KEY Licence found but not valid" and then dotPLOT says it is IN DEMO MODE, go here.

Click here to read on if you need more information about Licences.

The Alternative (DOS) Licensing Process in a Nutshell

Doing the licensing via HotPlot is easier. We recommend that you click here to go up the page to the Windows Licensing process.

  1. If you are putting the Licence on a flash drive (see above), make sure that it is inserted and that you know the drive letter.
  2. In HotPlot, click the [Go to dotPLOT] button.
  3. In dotPLOT, press Alt+L (hold in the Alt key and press L).
  4. Fill in the Licence details.
  5. Press Esc twice to exit (make sure there are no errors!).
  6. e-mail the file C:\dot7000\MAILFORM.OUT to register@softwareafrica.co.za
  7. As soon as payment has been received, we will reply with your Licence file, a file named PROPASS.KEY. Save it file to the folder DOTPLOT.USB on the drive that you selected for your Licence:

The Alternative (DOS) Licensing Process in Detail

You now have enough information to do the licensing. If you want to see the process in detail, read on:

Requesting a Licence

If you have not already done so, install HotPlot and dotPLOT as explained on the Previous Page.

Run HotPlot. At the bottom of the HotPlot window, click the button [Go to dotPLOT]. This will put you into the main dotPLOT Menu:

PROMENU UserNo = 0

d o t  .  P L O T
=================

Program to print and draft soil profiles

Version 6008

MAIN  MENU

No Licence

 IN DEMO MODE!
 Press <Alt+L> for Licence Application, <Alt+P> for Password.

PROFILE VOCABULARY Filename = PROVOCAB.ENG
SETUP Filename = STANDARD.SET

      F1              F2               F3             F4              F5
      START         ACTIVITY        OUTPUT to        ADDRESS         ACCESS
                    PROFILES       PRNTFILE.PDF    C:\DOTFILES     JET-SETUP

Hold in the Alt key and press L on the keyboard to go into the Licensing screen:

The Internet Licence Application Screen

You should see the screen shown below. Type your company details in the block. Brief Help appears on the right-hand side of the highlighted line. The "Company Name" must include your branch or city and will appear on all printouts from dotPLOT, so make sure it is correct!

Press Enter or ê to go to the next line, é to go up a line. Press Esc (escape) when finished. The data will be saved automatically.

       INTERNET LICENCE APPLICATION
                    ┌──────────────────────────────────────────┐
       COMPANY NAME │Software Africa                           │< Signature
     POSTAL ADDRESS │126 Kelvin Drive                          │
          continued │Morningside Manor                         │
          continued │2191                                      │
       Contact name │Rick Raubenheimer                         │
      Phone numbers │011 802-2685 / 082 389-3482               │
     e-mail address │rick@softwareafrica.co.za                 │
     OPTION Borelog │N                                         │
     OPTION PDF     │Y                                         │
     OPTION HotPlot │Y                                         │
   OPTION PlainText │Y                                         │< Y=Yes
      LICENCE DRIVE │E:                                        │< eg C:
   NUMBER OF COPIES │1                                         │< for Servers
    TALLY IN FAMILY │1                                         │< for Site
                    └──────────────────────────────────────────┘
NOTES:                                              <Esc> press escape to exit.
Be careful how you choose the drive for the Licence. It may be C: X: or S:
example C: for your hard drive, equivalent to password - for life of the drive.
        X: for a flashdisk (for example) - mobile and portable, prone to theft.
        S: for a server, number of concurrent users is controlled.

To get a Licence, e-mail C:\dot7000\MAILFORM.OUT to rick@softwareafrica.co.za.

Select the items you want in the "OPTION" choices:

  1. Put a Y next to OPTION Borelog if you want Borehole logs.

  2. Put a Y next to OPTION PDF, HotPlot and PlainText (dot6000 features) – you will almost certainly want these: If you are upgrading from an earlier version there is a charge for the new dot6000 features. If you purchased dot6000, it forms part of the package.

Licence Drive

Think carefully about where you want to store the Licence. It may be C: (your hard drive), a USB flash drive, or a mapped hard drive or USB flash drive on a server. The Licence on any drive lasts for the life of the drive and dies with it. A Licence on a flash drive is mobile and portable, but prone to loss and theft. In all cases you should insure your software, as loss of the Licence means that you will have to purchase a Licence to replace it.

While the choice of drive is up to you, we recommend a USB flash drive because it is portable and likely to outlive any hard drive. For security purposes it can be inserted in a Server USB port and locked in the Server Room.

In all cases, specify a mapped drive letter only, not a path with subfolders! If necessary, map a new drive letter to the folder you want to use. This drive letter must exist, otherwise when you Escape from the form, you will get the message: "Not completed properly - Aborting!!"

Caution – Network Drives: You must have rights to create, modify and delete files and folders on the mapped drive that you choose. The licensing program will try to create a folder named DOTPLOT.USB on the mapped drive, and the licensing process will fail if it can not do so. Alternatively, before completing the form above, you may manually create this folder on root folder of the drive concerned.

Multiple Users: Number of Copies

A server Licence (putting the Licence file on a server drive) allows you to have more than one copy (increase "number of copies"): The number of concurrent users is controlled. Any extra users who try to run profiles at the same time will produce a message "No More Licences Available" and printouts marked "DEMO". For network use, the folder should be mapped as the same drive letter for all PCs that will be using dotPLOT. See the section Additional Licences below.

Multiple Dongles: Tally in Family

An alternative to a server Licence as outlined above, is to have several interchangeable USB flash drives ("dongles"). In this case you should leave "number of copies" at 1, and change "Tally in Family" to the number of separate dongles you want. See the section Additional Licences below for details.

Apply for a Licence

In dot7000, press F1 to save. Press Esc to get out of the Internet Licence Application Screen and Esc again to close dotPLOT.

Create an e-mail to register@softwareafrica.co.za and attach the file C:\dot7000\MAILFORM.OUT. Send.

Receive and Install Licence

Once you have paid, you should receive an e-mail with a licence file attached. The file will be named PROPASS.KEY. Save it to a folder named DOTPLOT.USB which will already exist the drive that you selected above for your Licence. NB: Do not re-create this folder as doing so will invalidate your Licence!

Thus the Licence file will be C:\DOTPLOT.USB\PROPASS.KEY for your local hard drive, or it might be E:\DOTPLOT.USB\PROPASS.KEY for a flash drive.

Test the Licence

If you chose a flash drive for your Licence, make sure it is inserted into your PC. If you have a server Licence, make sure that you have mapped the relevant folder with the drive letter you selected above.

Run HotPlot. At the bottom of the HotPlot window, click the button [Go to dotPLOT]. This will put you into the main dotPLOT Menu:

PROMENU UserNo = 1

d o t  .  P L O T
=================

Program to print and draft soil profiles

Version 6008

MAIN  MENU

DONGLE #50 Licence D071 Software Africa  PBpH6

 Program Active

PROFILE VOCABULARY Filename = PROVOCAB.ENG
SETUP Filename = STANDARD.SET

      F1              F2               F3             F4              F5
     START         ACTIVITY        OUTPUT to        ADDRESS         ACCESS
                    PROFILES       PRNTFILE.PDF    C:\DOTFILES     JET-SETUP

You should now see your Licence details in the middle of the screen and the message "Program Active". The code "PBpH67" represents your Licence options: P=Profiles, B=Borelog, p=PDF, H=HotPlot, 6=dot6000 features (Plaintext), 7=dot7000 (64-bit).

When you run profiles from dotPLOT, the "DEMO" watermark should have disappeared. Press Esc to get out dotPLOT.

You are ready to use all the features of the system. Congratulations! Next >>

Read on if you need more information about Licences.

Additional Licences

For other Licences on the C: drives of other PCs, follow the procedure above with each other PC.

For Licences on other USB flash drives, set "Tally in Family" equal to the number of dongles you want. Carry out the procedure above with all the USB flash drives. This is most conveniently done from the same PC since you will not have to re-type the details. However, the file MAILFORM.OUT will change for each flash drive, so make sure that you have gone out of the Licence Application Screen and attached MAILFORM.OUT to your e-mail before you start on another flash drive. Number the flash drives and number your e-mails so that you can put the correct PROPASS.KEY on the correct drive: PROPASS.KEY will not work on the wrong flash drive!

On a server, you can increase the number of licences at any time by repeating the process above and increasing the "Number of Copies" count. Make sure that you are still using the same server hard drive and mapped letter. When the new PROPASS.KEY arrives it must replace the old one.

Changing your Company Name

When you e-mail your request for a Licence (as above), your Company (Branch) Name and e-mail address are encoded into the Licence. If your site name or e-mail address change, e-mail Software Africa again with the old and changed details. If the company name has changed, you must provide legal proof of the change in the form of your CIPRO registration. There will be a small charge for this service.


Main Window

The Main HotPlot Window

The Main Window has the title "HotPlot for dotPLOT", with the version number:

The Main Window contains the following objects (see below for details):

  • dotPLOT path* box, with Explore button [...] and Check button.
  • Setup File combo box (dropdown list), with Explore button [...] and Edit Set button.
  • Input File* combo box (dropdown list), with Explore button [...] and EDIT button. This is where you select and edit your text files.
  • Output Path box, with Explore button [...].
  • Output Type combo box, with Explore button [...] (visible in some cases), Printers combo box (visible in some cases) and Open button.
  • Activity combo box
  • Scale box: Fill in a number (e.g. 100 for 1:100) to force a scale, blank to let the program decide.
  • Legend checkbox: Tick if you want a summary of the symbols at the end of the output file (recommended).
  • Help buttons: Help, License, About, Manual, Tutorial, Support, and Settings.
  • Run Now! button – Runs dotPLOT Profiles with these Settings.
  • Go to dotPLOT button – Shows dotPLOT so that you can see the License, or use dotPLOT directly if you haven't licensed HotPlot..
  • Save & Exit button – saves the settings and ends the program.

* Items marked with an asterisk must be filled in.

The various items are now considered in detail:

Explore buttons [...]

These buttons occur in various places. Each one opens a Windows Explorer Window that lets you locate the relevant file or folder.

dotPLOT path*

This must always point to the path for dotPLOT, C:\dot7000\. The Check button is for listing the versions of dotPLOT that you have on the PC.

Setup File

The Setup (SET) file specifies various settings. STANDARD.SET is the default. The Edit Set button will let you edit the existing file, or create a new one if the name you typed does not exist. The combo box (dropdown list) contains a list of the SET files you have used recently. The Explore button lets you find others. The default Setup Files supplied are:

File Name | Description
STANDARD.SET | Default. Profile and then Borehole Log on separate A4 pages (Portrait)
REVERSED.SET | Reverse Settings: Separate A4 pages for Borelog, then Profile page (Portrait)
CHIPLOG.SET | Two-pager with 2 columns of Borehole Log on Profile page (A4 Portrait)
BH1PG-A3.SET | One-page Borehole Log and Profile on A3 paper (Landscape)
BH1PG-A4.SET | One-page Borehole Log and Profile compressed onto one A4 page (Portrait)
AFRIKANS.SET | Afrikaans vocabulary for use with text file C:\dot7000\Examples\VOORBELD.TXT, equivalent to STANDARD.SET
FRENCH.SET | French vocabulary for use with text file C:\dot7000\Examples\CHIP-FRA.TXT, equivalent to STANDARD.SET
GERMAN.SET | German vocabulary for use with text file C:\dot7000\Examples\CHIP-DEU.TXT, equivalent to STANDARD.SET
COURIER.SET | Fixed-space font SET for producing C:\dot7000\Manual\TestChar.PDF from C:\dot7000\Manual\TestChar.TXT

Input File – the Text File containing your Profile or Borelog

The combo box (dropdown list) contains a list of the Text files you have used recently. The Explore button lets you find others. The EDIT button is very important as it opens the HotPlot Editor so that you can change your text file.

Output Path

This is where your output files are stored. C:\dotFiles is recommended. Leave it blank to use the same path as the input file.

Note: dotPLOT also generates a separate set of PDF files: One per hole, a COMBINED.PDF file containing all the holes (plus, if it was requested, the Legend) and, if it was requested, the file LEGEND.PDF containing the Legend for all holes. This set of files is stored in a subfolder, named with the Job Number, of the "Path for Print-to-File (PDF Output)" as set in the Setup File. To Edit the Setup file and see this path, click the Edit Set button. These files can be disregarded, as the PDF file that HotPlot views is the equivalent of COMBINED.PDF. COMBINED.PDF and LEGEND.PDF will be overwritten by the next run of the same job number, even if it used a different text file.

Output Type

This combo box lets you choose one of: PDF, PDF + Preview, PDF + Print All Now!, PDF + Print All to..., PDF + Print dialog, PCL, and PGL. We recommend "PDF + Preview": This will cause dotPLOT to create a PDF output file, which HotPlot will then cause to open in Adobe Acrobat Reader (or your default installed PDF Viewer). From there you can print the profile when you are happy with it.

If you choose a printing option the Printers combo box will appear so that you can decide where to print to.

Open button

This opens the listed PDF file in Adobe Acrobat Reader (or your default installed PDF Viewer) if it still exists.

Activity combo box

Your options here are: PROFILES, and TEST-SYMB (symbols). You will usually use PROFILES.

TEST-SYMB allows you to print up to 36 profile symbols at a time to a Legend. The files are named Symbols01.PDF, Symbols02.PDF, etc. and placed on the output path or, if it is blank, on C:\dot7000\Examples

Scale box

Optional Scale, e.g. "100" means a scale of 1:100 (1 cm : 1 m). If filled in, it will apply to all holes in the text file. Leave this blank to make dotPLOT scale to fit (different scales may be used on different holes).

Legend checkbox

Tick this box if you want a summary of the symbols to appear at the end of the output file: This is recommended.

The same symbol may appear several times in the Legend. For example, the symbol {SA48} (boulders) may be invoked at different places by the user using different language that evaluates to the same symbol: "boulders" in one place, "scattered boulders" in another. Any symbol may be associated with many synonyms. Another example would be "ferricrete" in one place and "nodular ferricrete" in another: The reader must be able to match every description with a symbol, and vice-versa.

Help Buttons

Help button – Opens this Help File (or you can press F1).
Licence button – Opens the Licence Application form. See Licensing information.
About button – Information about this program, dotPLOT, and your PC and Windows.
Manual button – Opens the dotPLOT Manual (PDF file).
Tutorial button – Open the old dotPLOT Tutorial (PDF file, a separate download from the web site).
Support button – Creates a simple Support Request e-mail in your default "mailto" program, with instructions on the files to attach, and how to do screen captures.
Settings button – Pops up the Settings menu as explained directly below. This menu is identical to the Settings menu in the Text File Editor.

The Settings Menu

  • Non-NTFS Network support – if dotPLOT does not read the text file from, or write the PDF file correctly to a network drive, turn this option on and HotPlot will handle the network, and
  • Pause before Exiting dotPLOT – This causes dotPLOT to pause before ending and display the message "Press any key to Exit dotPLOT", so that you can see any warning messages that have not caused the program to pause. This setting is not remembered.
  • Delete Temporary Files on Exit. This tidies up after dotPLOT and is normally ON. It might be set off if these files are needed for debugging.

Action Buttons

Run Now! button – Runs dotPLOT Profiles with these Settings. This and the EDIT (Text File) buttons are the ones you will use most frequently.

Go to dotPLOT button – Shows dotPLOT so that you can License it or use features not available in HotPlot. This is not needed very often.

Save & Exit button – saves the parameters set above and ends the program.

Click the Exit (close) button at top right of the program window for the option to save, or Exit without saving. If there are unsaved changes, you will then get a message like this:

Yes saves new choices (as listed) and closes HotPlot, No loses changes and closes HotPlot, Cancel cancels the closing so you stay in HotPlot.

< Top of Page

What Happens When I click "Run Now"?

We don't know because we've never dared to try it! (Just kidding!)

Firstly, HotPlot will do some tests: It will check that the dotPLOT program (PROFILE.EXE) exists on the path you specified (usually c:\dot7000); then that the SET file, the TXT file, and the output path (if specified) exist. Finally, it makes sure that the output file can be overwritten (isn't open in your PDF Viewer). If there is a problem, it will pause and complain, otherwise it proceeds so fast that you won't notice.

HotPlot then calls dotPLOT using the inputs you specified. Remember, dotPLOT is a DOS program, so you will see (very briefly) a screen like this:

There are three distinct phases, and errors may occur during any of them:

  1. Block structures are checked: dotPLOT checks for the correct pattern of slashes and displays them as they are found, i.e. /../..// (hole 1) ... /../..// (hole 2) etc./// and then displays "Block file structures ok". If, in the HotPlot Text File Editor, you used the "Check!" menu or the [/.// ü] button, there should be no problems here.
  2. File content is processed: Along with a set of dots, dotPLOT displays the Hole Number (in parentheses) you used and the temporary file name it used. Note that in EXAMPLES.TXT as used above, the holes are not numbered in the same sequence, and hence end up in a different order in the output file.
  3. If you requested the Legend (Symbol Summary), the line "SYMBOL SUMMARY" is displayed while that is done.

If there were no errors, the above screen will disappear almost immediately, and the PDF file (if you chose the Output Type "PDF + Preview") will appear in your PDF Viewer (normally the free Adobe Reader). If there were errors, then each one will be displayed and you can press any key to proceed. The program may display Warnings, in which case it will push on regardless. If you want to see these warnings for a longer period of time, in the HotPlot Text File Editor, tick the menu item Settings > "Pause before Exiting dotPLOT" and the program will then display the message "Press any key to exit dotPLOT" as shown above, and wait until you press a key.

Troubleshooting: dotPLOT Errors and Warnings

These errors may display on the DOS screen as shown above (Press Enter to proceed if necessary):

  • \DOTPLOT.USB not found on any drive! – the program is not yet licensed, or you forgot to insert the USB containing the licence.
  • BLOCK STRUCTURES NOT MATCHED! – the Phase 1 display should show where the problem is, otherwise in the HotPlot Text File Editor, click the "Check!" menu.
  • Check sample notes! – dotPLOT can not match sample names to depths. you can exclude spurious sample names or depths by prefixing them with a vertical bar ( | ).
  • Check Attribute depths! – Attribute depths are not in order from smallest to largest (probably a typing error in one of the depths).
  • Layer depth error! – Layer depths are not in order from smallest to largest (probably a typing error in one of the depths).
  • No layers detected! – dotPLOT could not find any layers: Did you forget the depths at the start of the line?
  • XXX found but not valid! – problem with the named item.
  • Can't find table header! – as it says.
  • >36 Samples! – reduce the number of samples in this hole.
  • >36 Notes! – reduce the number of notes in this hole.
  • >25 Attrib-Columns! – reduce the number of Attribute columns in this hole.
  • Repeated ATTRIBUTE : <name> Error ! at <depth> errors on an ATTRIBUTE:: Table: The vertical bars in the Table must line up exactly – dotPLOT is very fussy! If the bars line up vertically but you still get the errors, you may have tab characters (as a result of a paste) instead of spaces. In the HotPlot Text Editor, click the menu item "Check!" or the toolbar button [/.// ü]. This will tell you if you have tabs, and offer to replace them.

Many of these errors will prevent dotPLOT from creating the PDF file, in which case instead of the PDF file displaying, you will get the message:

Locating the Causes of Errors

When more than one profile appears in a text file, holes in the combined PDF file appear in the order of the numeric parts of the hole numbers, not the order in which they appeared in the text. Debugging will be easier if the holes in the text file are in numeric order! Number holes as BH01, BH02, BH03 ... BH10, BH11, not as BH1, BH2, BH3 ... BH10, BH11.

Two holes with the same numeric part are rejected by dotPLOT as duplicate hole numbers (e.g. TPT 001 and BH001, but not BH01 as the number of numeric digits is different).

More troubleshooting tips:

  • In the HotPlot Text Editor, click the menu item "Check!" or the toolbar button [/.// ü]. This will check the file structure and highlight some potential problems.
  • Copy the offending hole’s data into a file of its own (remember to end with // and ///). Does the error still occur? If so, you have identified the problematic hole. Otherwise try the hole before or after.
  • In which block (title, descriptions, or notes) does the error occur? Remove items from that block until the error no longer occurs: You have now isolated the problematic paragraph.
  • How does this paragraph compare with other paragraphs in this file and in sample files?
  • If the error messages disappear too fast off the dotPLOT screen, you can make the program pause before exiting by going into the HotPlot Text File Editor and clicking Settings > Pause before Exiting dotPLOT. Press Press any key to proceed.

Getting Support

If all else fails, click the Support button on the main HotPlot window to create an e-mail to us in your default Windows e-mail program (or manually create an e-mail to rick@softwareafrica.co.za ). Please describe the problem as fully as possible, then attach the SET and TXT files, PDF output if you got one, plus anything else that is relevant, e.g. screen captures of error messages.
Press Ctrl+Insert to copy HotPlot messages to the Clipboard as text.
Press Alt+PrintScreen to copy the active window to the Clipboard as a picture.
Press PrintScreen to capture the whole screen to the Clipboard as a picture.
To copy part of a DOS Window to the Clipboard as text, click the DOS icon at top left, choose Edit > Mark, drag over the text to copy, and press Enter.
Click in your e-mail and press Ctrl+V to paste, or right-click and choose Paste.

< Top of Page


Text File Editor

The HotPlot Text File Editor

<< Previous – File menu – Edit menu – Insert menu – Character menu – Settings menu – Help menu – Spelling Checker > – Next >>

To open the Text File Editor, start in the HotPlot Main Window, choose a text file in the Input File combo box (dropdown list) on the third line from the top (or find a file with the Explore button [...], or type a new file name). Then click the EDIT button.

Use the arrow keys on the keyboard to move around the document, or click with the mouse. To select (highlight) text (for cutting, copying, and pasting over, drag-and-drop, and checking spelling), use Shift with the arrow keys, or drag over the text with the mouse, or double-click to select one word and then drag over more words. Press Ctrl+Home to go to the start of the document, Ctrl+End to go to the end of the document. Page Up, Page Down, and the mouse wheel, work as expected.

Drag and Drop

From Version 3.12.0, you can drag (move) selected (highlighted) text by pointing inside the highlighted area, holding the mouse button in, and keeping it in while you move the mouse pointer to the required location. The mouse pointer shows a rectangle as well as the usual pointer. Let go of the mouse button, and the text will be moved to the new location. To copy instead of moving, hold in a Ctrl key (the mouse pointer shows a square with a plus as well) while you let go of the mouse button.

You can also drag-and-drop selected text from the HotPlot Text Editor to various other programs such as Excel, Word, and Outlook, and between the various boxes on the main HotPlot screen.

Toolbar and Menus

The Toolbar under the menu contains the most frequently-used items. Hover the mouse pointer over any item to get a ToolTip. The buttons are: New (blank) file, Open existing file, Save file; Print Setup, Preview, Print; Cut, Copy, Paste; Find & Replace, Spelling, Check Structure; Zoom Preview In, Out, specified percentage; Run Now (Save file and run in dotPLOT).

The Menus are:

  • File: New (blank) file, Open existing file, Save file; Print Setup, Preview, Print; Save and Run Now in dotPLOT; Previous files run (1 to 9), Exit.
  • Edit: Cut, Copy, Paste; Change CASE of Selection (drag over text to select); Find.
  • Insert: This will insert the control character you choose at the cursor. The actual characters are drawn from the SET file selected on the second line of the HotPlot Main Window and may vary if you have customised the SET file.
  • Character: This will insert the special character you choose at the cursor.
  • Settings: The Settings are
    • explained below.
  • Check! to check Block Structure (slash pattern) and warn you if you need the Plaintext (dot6000) Option (HotPlot can not tell whether you have licensed this option or not –disregard the warning if you do have it).
  • Help: Contents, Editor, File Structure, and Licensing; About; e-mail Support.

As in any other standard Windows program, Copy (Ctrl+C) or Cut (Ctrl+X), then Paste (Ctrl+V) to respectively copy or move selected text. To select text, drag over it with the mouse, or hold in a Shift key and use the arrow keys on the keyboard.

"Run Now" Button

This is the feature you will use most frequently, to save the file with its existing name and run it with dotPLOT.

Exit

To Exit with a choice to Save (on the same file name) or Cancel, click the X at top right of the window.

The File Menu

  • New: Creates a new file, which you can choose to be blank or have a basic skeleton file structure.
  • Open (Ctrl+O): Opens an existing file using an Explorer window
  • Save (Ctrl+S): Save the current file with its existing name, replacing any previous version
  • Save As: Save the file with a new name in a location of your choice, which you specify using an Explorer window. Will save over an existing file if you choose one.
  • Print Setup, Preview, and Print All (Ctrl+P) deal with the text file, not the final profile.
  • Save & Run in dotPLOT (Ctrl+R): Saves the file, replacing any previous version, and then runs it immediately in dotPLOT using current settings, finishing on the main HotPlot form.
  • Previous files (0 to 9): Click a file to open it. 1 to 9 are the same files listed in the Combo Box on the main form (files last run). 0 will appear if you opened a file from the Text Editor.
  • Exit (Ctrl+Q) ends the Text Editor, returning you to the main HotPlot form.

The Edit Menu

  • Undo (Ctrl+Z) the last change (up to 20 levels deep from Version 3.7.0 – 23 July 2012).
  • Redo* (Ctrl+Y) the last Undo ("Undo the Undo") (up to 20 levels deep).
  • Cut (Ctrl+X) the selected text to the Clipboard,
  • Copy (Ctrl+C) the selected text to the Clipboard. If no text is selected, copy the entire document.
  • Paste (Ctrl+V) from the Clipboard, replacing the selected text. If no text is selected, paste at the cursor.
  • Copy Table for Excel (Shift+Ctrl+F1)** will copy a Borehole Log Attribute block table to the Clipboard for pasting into Excel, whence it can be copied and pasted back with the next menu option. See below for more details.
  • Paste Excel Table* (Shift+Ctrl+F2)** will paste a table, previously copied in Excel, in the format required for an "ATTRIBUTE : :" block. See below for more details.
  • Find (Ctrl+F): Finds text you specify, starting at the cursor position. Press Ctrl+Home to go to the start of the document. Special characters: Use ^p = end-of-line, ^t = Tab, as you do in Microsoft Word.
  • Replace: (Ctrl+H): Finds, and optionally replaces, text you specify, starting at the cursor position. Use ^p for end-of-line character (line feed + carriage return) and ^t for the Tab character. Use \nnn for any ASCII character number nnn.
  • Check Spelling (F7), starting at the cursor position. If some text is selected, only that text is checked. For a separate page on the spelling checker dialog box, click here.
  • Font: Choose a different font to display and print the text file.
  • Select all text (the entire document) (Ctrl+A).
  • Change CASE of Selection (first drag over text to select)
  • Wrap Descriptions* for layers (F8): Changes long layer descriptions to multiple lines, with line after first line of each description indented (first drag over text to select: If no text is selected, you can get Help or set the wrapping length).
  • Unwrap Descriptions* for layers (F9): Changes each layer description to a single line (first drag over text to select: If no text is selected, you can get Help).
  • Outdent (<-- Block Left): (Shift+Ctrl+F8) Shifts the selected lines of text to the left by 4 spaces, if there are spaces to remove. If the text is already on the left, does nothing.
  • Indent (Block Right -->): (Shift+Ctrl+F9) Shifts the selected lines of text to the right by 4 spaces, except for lines that start with a number, which are ignored. Intended for indenting continuation lines in the Layer Descriptions.
  • DOS → Windows: Change DOS accented characters (present in non-English languages) for DOS-readable versions to equivalents that make sense in Windows, in the selected text.
  • Windows → DOS: Reverse the choice above.
  • ASCII Code (F11): First select a character. This function will then give you the ASCII code of that character. This item compliments Insert > Special Character (F12) and was new in Version 3.7.5 – 8 September 2012.

* New feature in Version 3.7.0 – 23 July 2012.
** New feature in Version 3.21.3 – 7 September 2016.

Paste Excel Table (Shift+Ctrl+F2), Copy Table for Excel (Shift+Ctrl+F1)

The Edit > Paste Excel Table menu item will paste a table, copied from Excel, into the format required for a borehole log "ATTRIBUTE::" block (explained here). The table in Excel would look similar to this:

DEPTH | DRUN: | DREC: | DLOS: | GTCR: | GSCR: | GRQD: | ROCK: | COMMENT:
3.49 | 2.51 | 1.26 | -1.25 | 1.26 | - | - | Kalahari^sand |
9.98 | 1.7 | - | -1.7 | - | - | - | None | Core^loss
11.28 | 1.3 | 0.96 | -0.34 | 0.96 | - | - | Kalahari^sand |
23.28 | 1.77 | 1.95 | 0.18 | 1.95 | 0.15 | - | Kalahari^sand and^secondary calcrete^nodules |
29.28 | 3 | 3.08 | 0.08 | 3.08 | - | - | Areneous-calcrete | Weakly^cemented^sand and^calcrete^nodules
32.28 | 3 | 2.94 | -0.06 | 2.94 | 0.81 | 0.19 | Areneous-calcrete to^calcrete | Gradational^contact
38.28 | 0.28 | 0.27 | -0.01 | 0.27 | 0.27 | 0.27 | Calcrete | Pale^Grey
41.28 | 3 | 2.92 | -0.08 | 2.92 | 2.62 | 2.62 | Calcrete^to arenaeous-calcrete | Gradational^contact

In Excel, select (drag over) the table. Press Ctrl+C, or choose Edit > Copy or the appropriate Toolbar button.

Swap to the HotPlot Text File Editor, locate the correct point in the Notes block, and click menu item Edit > Paste Excel Table. Your result will look like this:

|DEPTH|DRUN:|DREC:|DLOS:|GTCR:|GSCR:|GRQD:|ROCK:                                       |COMMENT:                                 |
|3.49 |2.51 |1.26 |-1.25|1.26 |-    |-    |Kalahari^sand                               |                                         |
|9.98 |1.7  |-    |-1.7 |-    |-    |-    |None                                        |Core^loss                                |
|11.28|1.3  |0.96 |-0.34|0.96 |-    |-    |Kalahari^sand                               |                                         |
|23.28|1.77 |1.95 |0.18 |1.95 |0.15 |-    |Kalahari^sand and^secondary calcrete^nodules|                                         |
|29.28|3    |3.08 |0.08 |3.08 |-    |-    |Areneous-calcrete                           |Weakly^cemented^sand and^calcrete^nodules|
|32.28|3    |2.94 |-0.06|2.94 |0.81 |0.19 |Areneous-calcrete to^calcrete               |Gradational^contact                      |
|38.28|0.28 |0.27 |-0.01|0.27 |0.27 |0.27 |Calcrete                                    |Pale^Grey                                |
|41.28|3    |2.92 |-0.08|2.92 |2.62 |2.62 |Calcrete^to arenaeous-calcrete              |Gradational^contact                      |

The Edit > Copy Table for Excel (Shift+Ctrl+F1) menu item does the reverse of the procedure above, allowing you to easily copy a table like the one directly above, from the HotPlot Text File Editor into Excel, where it will look like the version higher up. In Excel, the table can be edited, and then returned to HotPlot as explained above.

Before using this feature, in a Borehole Log text file, select a Borehole Log Attribute block table as shown directly above. Include the starting "|" vertical bar on the heading line, and all the lines below it. Then press Shift+Ctrl+F1) and the processed table will be copied to the clipboard. Swap (Alt+Tab) to Excel and Paste (Ctrl+V). If some of the numbers turn into dates (or show as ####) (for example, 01-04 might become 01-Apr), format the selected cells as Text (Press Ctrl+11, on the tab "Number", choose Text format, and click OK), then Paste (Ctrl+V) again.

If you click Edit > Copy Table for Excel (Shift+Ctrl+F1) without selecting a Borehole Log Attribute block table, the program will give brief help and offer to open this Help. Alternatively, you may choose to put an example on the Clipboard for you to Paste into Excel. To insert an example of a full Attribute Block, click in the Notes block and Insert > Attribute Block Example as noted below.

The Insert Menu

This will insert the control character you choose at the cursor. The actual characters are drawn from the SET file selected on the second line of the HotPlot Main Window and may vary if you have customised the SET file.

The item in the second block (new in Version 3.7.5 – 8 September 2012), is:

  • Special Character by ASCII code (F12): This function will insert one or more special characters at the cursor. You will be asked to enter a number (ASCII code 32 to 255) or a range of codes (e.g. 123-255). This function compliments Edit > ASCII Code (F11).

Version 3.10.0 – 11 December 2012 added a new block of menu items, to insert a whole new (example) profile, or individual blocks (including layers and attributes interactively) at the cursor. The items are:

  • Full Block Structure for 1 Hole (Shift+F1) – Adds a Header Block (labels but no data), example Layer Descriptions, Notes Block example, and End-of-Hole marker.
  • Header Block (Shift+F2) – Adds a full Header Block for the first hole, changed labels for subsequent ones (labels but no data)
  • Layer Descriptions (input) (Shift+F3) – The program asks for Depth and Description, inserts them at the cursor, and repeats until you click Cancel or enter a "depth+" (e.g. 10.2+) for end of log.
  • Notes Block Example (Shift+F4) – an example of notes for various types of water tables and samples.
  • Borehole Log Attribute (input) (Shift+F5) – The program asks for the Attribute name and Options, inserts it at the cursor, and repeats asking for depth and value (inserting them at the cursor) until you click Cancel.
  • Attribute Block Example (Shift+F6) – Inserts a sample block of Attributes. Remember: You can prepare a table like this in Excel, copy it, then Paste it in using Edit > Paste Table from Excel (above).
  • End-of-Hole marker (Shift+F7) – Inserts the // marker with a note.
  • End-of-File marker (Shift+F8) – Inserts the /// marker with a note.

To enter a new profile interactively, press Shift+F2 (Header Block: Add job and hole details), Shift+F3 (input as many Layer Descriptions as needed), Shift+F4 (Notes Block: Edit the example to suit your profile), if a Borehole Log, press Shift+F5 repeatedly to input each Borehole Log Attribute. Finally, press Shift+F7 to finish the hole. Repeat from Shift+F2 until all holes are done, then Shift+F8 to end the file.

The Character Menu

This will insert the special character you choose at the cursor. For characters not in the menu, use Insert > Special Character by ASCII code (F12) above.

The Settings Menu

  • Non-NTFS Network support – if dotPLOT does not read the text file from, or write the PDF file correctly to a network drive, turn this option on and HotPlot will handle the network, and
  • Pause before Exiting dotPLOT – This causes dotPLOT to pause before ending and display the message "Press any key to Exit dotPLOT", so that you can see any warning messages that have not caused the program to pause. This setting is not remembered.
  • Delete Temporary Files on Exit. This tidies up after dotPLOT and is normally ON. It might be set off if these files are needed for debugging.

The "Check!" menu item and "Check Structure" Button

This will immediately check Block Structure (slash pattern) of the whole file and warn you if you need the Plaintext (dot6000) Option (HotPlot can not yet tell whether you have licensed this option or not –disregard the warning if you do have it).

When the Block Structure is correct, a message will warn you if the file has "orphan" Line Feed characters (Line Feeds [LF] not preceded by a Carriage Return [CR]) and offer to remove them. It will also tell you if you have Tab characters and offer to remove them for you. These can result from pasting from Word and Excel, and can cause unexpected behaviour in HotPlot and dotPLOT.

The Help Menu

  • Contents, Editor, File Structure, and Licensing take you to different parts of the Help File
  • Open the User Manual or Tutorial (same as the buttons on the Main window).
  • e-mail Support – Creates a simple Support Request e-mail in your default "mailto" program, with instructions on the files to attach, and how to do screen captures.
  • About – details of your current versions of HotPlot and dotPLOT, notes on latest versions, contact details for Software Africa.


Text File Spelling Check

The HotPlot Text File Editor's Spelling Checker

To open the Text File Editor, start in the HotPlot Main Window, choose a text file in the Input File combo box (dropdown list) on the third line from the top (or find a file with the Explore button [...], or type a new file name). Then click the EDIT button. Click << Previous above to learn more.

When editing a file, press F7 to check Spelling, starting at the cursor position. If some text is selected, only that text is checked. To select text, drag over it with the mouse, or hold in a Shift key and use the arrow keys on the keyboard.

The spelling checker dialog box looks like this:

The boxes are:

  • Not in Dictionary: The misspelled word is displayed here. You can select it and copy it (Ctrl+C) or right-click > Copy, but not change it.
  • Change to: The misspelled word is displayed here. You can edit it, Cut (Ctrl+X) or Copy (Ctrl+C) the selected text, or Paste (Ctrl+V). If you click on one of the Suggestions, it will appear here. When it changes, the Change and Change All buttons become available.
  • Suggestions: A list of the closest words found in the dictionary, in order based on the Levenshtein Distance, a count of how many changes are needed to transform the one word into the other.
  • Dictionary Language: Select the language here. Standard languages are English and Afrikaans, but you can add your own based on the current one by typing something different here.

The buttons are:

  • Ignore: Disregard this spelling error and carry on checking.
  • Ignore All: Continue checking, disregarding all occurrences of this word while the spelling checker is displayed.
  • Change (available only if "Change to" has been changed from the original "Not in Dictionary" word): Replace just this error with this spelling and carry on checking.
  • Change All (available only if "Change to" has been changed from the original "Not in Dictionary" word): Continue checking, replacing all occurrences of this word with the "Change to" spelling while the spelling checker is displayed.
  • Add lowercase: Add word to dictionary in lowercase,
  • Add As Is: Add word to dictionary in its current case (lower case, ALL CAPS or Initial Cap).
  • Suggestions display in the case of the word being replaced (lower case, ALL CAPS or Initial Cap) if they were stored in lowercase;
  • Suggestions stored in ALL CAPS or Initial Cap always display that way.
  • Edit Dictionary: Opens the dictionary in a text file where you can edit it. Save changes before continuing.
  • Cancel: Close the Spelling Checker, save words chosen with Add lowercase and Add As Is, and forget the Change All and Ignore All choices.

While the spelling checker dialog box is visible, you can edit the Text file. This will deactivate the spelling checker: Click the Resume button, which replaces Insert, to continue checking spelling of the whole text file, starting at the cursor.

When the spelling checker reaches the end of the text file, if you did not start (or re-start) at the beginning, it will offer to start again at the beginning.

Click Cancel to close the Spelling Checker, or just leave it up and carry on editing the file.


Writing the Text File

<< Previous – Next >> – File Structure – Headers – Layers – Notes – Attributes for Borehole Logs – End of Hole

To open the Text File Editor, start in the HotPlot Main Window, choose a text file in the Input File combo box (dropdown list) on the third line from the top, or find a file with the Explore button [...], or type a new file name, or leave the box blank to start a new file). Then click the EDIT button.

File Structure

A file must be written in blocks. The block structure of the text file is very simple:

q HEADERS

/ a single slash for end of header-block

q LAYER DESCRIPTIONS

/ a single slash for end of layers-block

q NOTES

// a double slash denotes end of notes-block and end of hole

… Repeat from header until all holes are written.

/// triple slash denotes end of job

Further text is ignored. It is good practice to add the name of the file after the triple slash so that a printout can later be identified.

An example of a typical text file can be found in C:\dot7000\EXAMPLES.TXT which you can locate using the HotPlot Main Window (third line) or from the Text File Editor using File > Open.

Lines and Line Length

A character in column 1 indicates that the line is the start of a new note or description. A line starting at column 4 or further indented is read as a continuation of the previous note or description. When writing in the HotPlot Text File Editor, do not use the Tab key to indent continuation lines, use four spaces instead.

Headers

Headers are written one per line preceded by a keyword and a colon

E.g. JOB NAME : title of the project

The job title and client name may occupy more than one line in the output. To force the new line use a backslash (\) at the breakpoint. The line length should be kept under 2,5 inches (i.e. 25 characters at 10 cpi, or 30 characters at 12 cpi).

Although some users may prefer to set up a template, sequence is unimportant to the program. The recognised keywords are defined in the file C:\dot7000\CONVOCAB.ENG which you can view or edit using the SET File Editor in HotPlot (Edit button on second line of the HotPlot Main Window).

In the header for a hole only CHANGED DATA (such as the machine used, date etc.) needs to be specified. Data once specified remains in force until overwritten by a subsequent entry except for Ground Level, XY-Co-ordinates, Orientation and Location (the specific items to be cleared are customisable) which are cleared.

q / a slash terminates the Header-block

Layer Descriptions

  • In each layer description the last numerical value to occur within the first four words will be used as the depth to underside of the layer. If no depth can be found an error message will be displayed.

  • A description may be continued on subsequent lines by indenting at least four characters. Refer to Section 6.1 in the User Manual and subsequent pages for format control details.

  • Numerical values may be written using either the comma or the period as the decimal point. The program copes with both.

  • Each layer description must end with a full stop. Soil symbols might not appear for sentences not ending with a full stop.

  • A line break can be forced by placing a backslash (\) at the breakpoint.

  • A page break can be forced by placing a double backlash (\\) on a line by itself after a description. The next description will then be bumped down to the following page and the corresponding soil stave will be shifted up or down to coincide with the top of the new page.

  • The starting depth of the profile will be assumed to be zero unless the header for a hole carries the keyword and a value: STARTING DEPTH : value

  • An underscore ( _ ) placed before a word will cause it to be underlined. Text inside square brackets is not printed.

  • From dot6000 onwards the program automatically detects soil symbols and uses them in the graphic*. To ignore a soil name, precede it by a vertical bar ( | ). From dot6001 this works in DEMO mode or if you do not have the dot6000 features licensed. *This "Plaintext" option must be licensed as an upgrade if you bought a version of dotPLOT earlier than dot6000. If you use Plaintext and are not licensed for it, dotPLOT will warn you and produce DEMO output.

  • Before dot6000 (and in DEMO mode before dot6001), you had to mark the soil symbols using the normal soil name preceded by a tilde ( ~ ), or a backward apostrophe ( ` ) which underlined it as well. dot6000 respects this: If one of these characters is found in a description, it will override automatic detection. You must then mark all the symbols you want in that layer.

Refer to Section 6.2 in the User Manual for more details on how the program detects key words for soil symbols. Also see the sample file C:\dot7000\TUTORIAL.TXT

Most of these control characters can be customised using the SET File Editor.

The Notes (Including Samples)

  • The header NOTES: will be inserted by the program if the user does not put it in. Numbering of notes is not necessary since the program will renumber them in order.

  • Any note may be continued on subsequent lines by indenting at least four characters.

  • If a note contains the word SAMPLE then the note is scanned for sample names and levels. Sample names must begin with a letter and contain no spaces or lowercase letters. Samples are assumed to be disturbed unless the words CHEMICAL or UNDISTURBED are found in the note. More than one sample is allowed per note, but only one class. Sample names are paired with levels; a shortfall of either names or levels will give rise to a warning message. To draw a bracket over a range of depths place a double minus between the two levels.

  • If a note contains the words WATER TABLE and a numerical value is present then a water table symbol is selected. The symbol for a permanent water table will be used unless the word PERCHED is found. Water tables may have “names” and levels in the same way as samples thus enabling dates to be written at observed depths. Special words such as WATER STRIKE and WATER SEEPAGE can also be recognised if they are defined in the vocabularies CONVOCAB.ENG and PROVOCAB.ENG.

  • A further option for dealing with the description of samples is the word SAMPLES: on a line by itself. This will cause all following notes to be treated as though each contained the word SAMPLE but the text will not be printed on the output page.

  • From dot7005 onwards, the program will ignore any word of special significance in the Notes if it is preceded by a vertical bar ( | ). In other words, If you want the word SAMPLE ignored, use |SAMPLE (The note will not be treated as a Sample Note); if you want the number 2.5 in a Sample Note ignored, use |2.5 (It will not be treated as a Sample depth). This is like the use of the bar in a Layer to ignore a soil symbol key word.

Attributes for Borehole Logs

The attributes are written as a continuation of the notes and form part of the notes-block. Two styles of input can be used, namely columnar and tabular, and they can be intermixed. The advantage of the tabular style is that it is compact, easier to read, and the series of depth values need not be repeated for each attribute. Notes, Samples and Attributes may be written in any order and may be intermixed.

USING COLUMNAR INPUT the word ATTRIBUTE: (or synonym) followed by one colon and some text starts a new attribute. The text following the colon is the name of the attribute which will be stacked in the footer of the column.
ATTRIBUTE: attribute name (options)
Each following line must be written in the form:
DEPTH text : DESCRIPTION text

If the @ sign is present in the depth-word then the depth is treated as at a point rather than the end of a range.

The words of the description will be stacked at a position midway between top and underside of the layer, or in the case of an @ depth, inside a box near the depth concerned.

TO USE TABULAR INPUT the keyword ATTRIBUTE:: is followed by two colons. This indicates that a table follows. The attribute names are then written one per line in the form:
TAG: attribute name (options)

The table is then written using the same TAG: as a column heading with a vertical bar "|" to start and end each row and between columns. Depths to underside of layer must be placed in the first data column. The fields are read as starting under the first character of the tag and ending one before the vertical bar. The vertical bars must line up exactly – dotPLOT is very fussy! (make sure you are viewing the file using a fixed spacing font, like Courier New) See example following:

EXAMPLE/BH009 from file C:\dot7000\EXAMPLES.TXT, Hole number: BH 009:

..

ATTRIBUTE : :

FAB: ROCK FABRIC AND GRAIN
SET: JOINT NO^OF SETS
INC: JOINT INCLIN (deg)
SPA: JOINT SPACING
ROU: JOINT ROUGH- NESS
FIL: JOINT FILLING      [COL WIDTH 1.4]
FRA: JOINT FRAC. FREQ.
HAR: ROCK HARD- NESS      [ WIDTH ,8]
WEA: WEATH- ERING       [GRAPH = 100 ] [ WIDTH 0.8] [INVERSE]

|DEPTH |FAB:|SET:|INC:   |SPA:|ROU:|FIL:    |FRA:|HAR:|WEA:|
|0.4   |N/A |N/A |N/A    |N/A |N/A |N/A     |N/A |N/A |[H] |
|      |    |    |       |    |    |        |    |    |    |
|3.4   |N/A |N/A |N/A    |N/A |N/A |N/A     |N/A |N/A |100 |
|      |    |    |       |    |    |        |    |    |    |
|6,0   |MF  |2   |20-30  |CJ  |RJ  |Stained |10  |SR  |100 |
|      |MG  |    |70-90  |-   |RJ  |Stained |    |    |    |
|      |    |    |       |    |    |        |    |    |    |
|9,55  |MF  |3   |20-30  |MJ  |RJ  |Stained |6   |MSR |40  |
|      |MG  |    |40-60  |MJ  |RJ  |Stained |    |    |    |
|      |    |    |70-90  |-   |RJ  |Stained |    |    |    |
|      |    |    |       |    |    |        |    |    |    |
|10    |N/A |N/A |N/A    |N/A |N/A |N/A     |N/A |N/A |N/A |
|      |    |    |       |    |    |        |    |    |    |
|19,76 |MF  |2   |20-30  |MJ  |RJ  |-       |3   |HR  |20  |
|      |MG  |    |40-60  |WJ  |RJ  |Stained |    |    |    |
Tip: You can prepare this table in Excel, copy it to the clipboard, and paste it into your text file in the appropriate place using the HotPlot Text File Editor menu item Edit > Paste Excel Table. You can also select an existing table in the HotPlot Text File Editor and reformat it ready to paste into Excel, using menu item Edit > Copy Table for Excel. If no table is selected, the latter function will offer to put a sample table on the clipboard for you.

The order in which attribute names are written determines the sequence of the columns on the output page.

The optional word [GRAPH] (or synonym) in the attribute name will cause the values to be plotted as a bar-graph. If the word [NUMBERS] is also present then the numbers / words will be superimposed on the chart. If a value follows the word [GRAPH] then that value is used as the denominator in constructing the bar-graph, else the default is 100. The word [INVERSE] will cause inverse bar-graph shading. The letter [H] in square brackets will switch the shading to hatching. [h] will cause a line to be drawn rather than hatching or shading.

A bar-graph column may be subdivided with vertical lines and the subdivision lines may be labelled in various ways. Assuming subdivision lines are wanted at 5, 12 and 30 units of the column denominator, any of the following wordings could be used:

[S=DENSE 5 MEDIUM 12 LOOSE 30]       =    lines + labels + figures

[S=DENSE  5 MEDIUM  12 LOOSE  30]    =    lines + labels (no figures)

[S=5 12 30]           =             lines + figures (no labels)

[S=  5  12  30]       =             lines only

[S=  5  12 30]        =             lines + LAST figure only

The letter [S = in square brackets signals that a subdivision is required. Note that if more than one space precedes a figure then the printing of the figure is suppressed.

The letter [s=] will cause subdivision lines to appear dotted.

If the optional word [WIDTH] (or synonym) appears in the attribute name then the width of the column will be weighted by the value that follows. For example the words [WIDTH 2] will make a double-width column and [WIDTH 0,6] will result in a width that is 60 percent of a standard column. If no width is specified it is assumed to be one unit.

Underlines, @depths, hard-spaces and square brackets (refer to 6.1.2 The Format Control Characters in Section 6.1 in the User Manual) may be used in both columnar and tabular input. Columnar and tabular input may be mixed.

Reduced levels will be printed if the collar or ground level of the hole has a non-zero value. It can be suppressed with BORELOG OPTIONS : 100 either in the header or in the setup. If the inclination of the hole has been given a value, a correction for slope is applied. The zenith angle or hade, in degrees is used so that zero = vertical. To allow back compatibility the program treats 90 degrees as zero! And the vocabulary allows the inappropriate word orientation to be used!

The table of abbreviations which appears at the top of the attribute page is defined in the file C:\dot7000\PROVOCAB.ENG and can be changed by the user to suit local requirements. If the table is blank then nothing is printed. If the table becomes extended downwards (up to 14 lines are allowed) then the top margins of all the printed pages will be bumped down to suit.

To support the use of a proportional font for the table the program scans the first line and chooses tab positions to suit. The following lines are tabbed to match so the user must take care to ensure that the arrangement does not lead to overlapped wording by spacing out the first line suitably and balancing the others.

If the keyword ABBREVIATIONS : appears in the notes-block of the text file then the lines which follow will supersede the current default table of abbreviations for all subsequent printing until the next vocabulary switch. Refer to Section 6.1 in the User Manual for the methods of formatting a table. The new lines may be blank, in which case the table is entirely suppressed. When the next new job is selected the default abbreviations are re-called to memory, together with the default vocabulary file.

If dot7000 has been licensed for PROFILES only, or if no attributes are detected, the attribute page will be omitted and the profile page will be printed with a closed left-hand border.

End of Hole, More Holes, End of File

q // double slash terminates the Notes-block.

This pattern is repeated for each hole starting with Header-block, until the end of the last hole, then:

q /// triple slash ends the job.

Further text is ignored.

More Details

The above is the basic information needed to set up a text file. For more detail, including modifying the page layout, consult the dot7000 User Manual, most easily accessible by clicking the "Manual" button on the main HotPlot screen..

< Top of Page


SET File Editor

The HotPlot SET File Editor

To open the SET (Settings) File Editor, start in the HotPlot Main Window, type a SET file name in the Settings File box on the second line from the top, or find a file with the Explore button [...]. Then click the Edit Set button. To edit a different SET file (or create a new one), type or choose a different SET file in the HotPlot Main Window, or select a previously-used one from the drop-down list.

All the items you can change are arranged on a Tabbed Dialog which has five tabs: Files & Setup, Layout, Control Chars (Control Characters), Fonts, and Logo Xform (Logo Transform). The contents of the tabs are:

First Tab: "Files & Setup"

  • Description: This is your description of what is different in this file. We suggest that you keep it up to date for your own benefit. If the file has no description, the SET File Editor will suggest a default.
  • Default Prompts file extension – Extension (Language) of PROMPTS file (ENG = English, AFR = Afrikaans). See Note on Edit File.
  • Default Vocabulary file extension – Extension (Language) of PROVOCAB file (ENG = English, AFR = Afrikaans). Note on Edit File.
  • Conversion Vocabulary File Name – Extension (Language) of CONVOCAB file (ENG = English, AFR = Afrikaans). Note on Edit File. Multiple file extensions are allowed, separated by commas.
  • Path for Print-to-File (used by dotPLOT only, not by HotPlot). In a subfolder of this folder, named with the Job Number, dotPLOT generates a set of PDF files: One per hole, a COMBINED.PDF file containing all the holes (plus, if it was requested, the Legend) and, if it was requested, the file LEGEND.PDF. These files can now be disregarded. COMBINED.PDF and LEGEND.PDF will be overwritten by the next run of the same job number.
  • Default LOGO File name – The Logo file must be a PDF file with a name not longer than 5 characters, e.g. LOGO1.PDF. It must be on the dotPLOT folder, as set at the top of the Main HotPlot window (normally C:\dot7000). Click the [...] button to explore for the logo. Click the View button to view it. For positioning the logo, see the bottom of the next tab.
  • Printer Type (use LJ4)
  • Scale option (1=metric 2=Imperial)
  • Page Size (A3 or A4).
    • A4 is Portrait, with separate Borelog and Profile pages (except as modified by the Compress option directly below).
    • A3 is Landscape, with Borelog page on the left and Profile page on the right (if printed on an A4 page, the scale will be incorrect).
  • Compress borelog (0=separate pages) – see next sub-section.
  • Borelog Suppress Options Code – see following sub-section below.
  • Page Output Sequence (only relevant if there is a Borehole log):
    • Normal (Profile, then Borelog) is the traditional sequence.
    • 2-Page View (Borelog, then Profile) is new in dot7016. This is suitable for double-page view in PDF with the pages lining up nicely with Borelog on the left and Profile on the right (set as illustrated below: In Adobe Reader, click View > Page Display > Two Page View [or Two Page Scrolling]). The file can now be printed double-sided and bound: Pages from 2 to the end are printed double-sided, and page 1 is printed single-sided (perhaps preceded by a cover sheet).

Compress Borelog Option (Borehole logs only)

A non-zero value will cause the attribute columns to print onto the same page as the profile and descriptions. The Profile Page Left margin will be adjusted using this value at 300 dots per inch: the program will check and apply a default minimum of 150 dots.

If the last character of the compress option has a value other than zero, e.g. 603, then the rightmost 3 attribute columns will be pushed into the profile page into a space of 600 dots; the remainder will print on the attribute page. Warning: Values above 859 may cause a Numeric Overflow error. Values 1200 and above will probably be ignored.

The Edit button simplifies all this for you:

You can choose to have the borehole log attributes on a separate page from the profile, on the same page, or on their own page plus some of them spilling onto the profile page (shown above). In the case of the latter, you can specify how many columns must spill onto the profile page. When there are attributes on the profile page, you also specify how much of the page they occupy (in dots at 300 dots/inch, or in mm). The width between margins of an A4 sheet (Portrait) is about 190 mm, so do not exceed about 70 mm. Click OK when done, and HotPlot will compute the Compress Borelog code.

We recommend that you use the Save As button to save the SET file with a new name if you choose different Compress Options.

Borelog Suppress Options Code (Borehole logs only)

For Borelogs the standard defaults are:-
SOIL LAYER WITNESS lines shoot through to the depth scale,
ATTRIBUTE WITNESS lines shoot through to the depth scale,
REDUCED LEVEL is displayed left, DEPTH RASTER is displayed right.

The default code is 000.
To suppress the first, the options code has 1 added to it.
To suppress the second, the options code has 10 added to it.
To suppress reduced LEVELS, the options code has 100 added to it.
To suppress a DEPTH raster, the options code has 200 added to it.
To swap Levels/Depths, the options code has 400 added to it.

For example a code of 101 will have no Reduced Level Column, will show all
Attribute Witness lines, but will not show Soil Layer Witness lines.
A code of 600 will show reduced levels on the right, no depth raster.

The Edit button simplifies all this for you:

Simply tick the options you want, as shown in the tell-tale. Click OK when done, and HotPlot will compute the Borelog Suppress Options code.

Second Tab: "Layout" - back to top

In the first column, all items are measured in dots except for "Paragraph Indent module" (characters). There are 300 dots per inch, i.e. close to 12 dots per mm. In the second column, you can enter the measurement in mm and it will be converted. When you click on a box, a red line will indicate which item it is on the diagram on the right-hand side.

  • Attribute Page Left-hand Margin – The Attribute Page is for Borelogs only, an extra left-hand page carrying the Attribute columns. Using the "Compress Borelog Option" (above), it can be combined onto the Profile Page
  • Attribute Page Right-hand Margin
  • Profile Page Left-hand Margin – The Profile Page is the main page with the profile graphics and the soil descriptions
  • Profile Page Right-hand Margin
  • Head of page – Vertical dimension the header block for each page.
  • Foot of page – Vertical dimension of footer block for last page of profile
  • Job Title left margin offset – Horizontal distance from left edge of profile (graphics column) to left edge of header block.
  • Footer 1st-margin offset – Horizontal offset of colon separator in the first part of the footer block measured from default Profile Page Left Margin.
  • Footer 2nd-margin offset – Horizontal offset of colon separator in second part of footer block measured from default Profile Page Left Margin.
  • Paragraph Indent module – Module used for indentation measured as number of CHARACTERS, not dots.
  • Default LOGO X reference point – Horizontal (leftmost) starting co-ordinate of logo measured in dots from left towards the right.
  • Default LOGO Y reference point – Vertical (topmost) starting co-ordinate of logo measured downwards in dots from the top. The logo file itself is set on the previous tab.

From HotPlot 3.16 the picture is clickable. Click on an arrow in the picture to select that measurement.

Third Tab: "Control Characters" - back to top

Here you can customise the characters that control the default behaviour of the program (they are explained fully on another page):

  • Character to Omit Soil Symbol (new from dot6000 on) – normally | (bar). From dot7005 this can also be used to ignore a keyword in Notes.
  • Character to Underline a Word (new from dot6000 on) – normally _ (underscore)
  • Character to force and Underline a Soil Symbol – normally ` (apostrophe)
  • Character to force a Soil Symbol – normally ~ (tilde)
  • Character to Cause a Line-Break – normally \ (backslash)
  • Character to Represent a Hard Space – normally ^ (caret)
  • Character to Start Indent – normally { (opening brace)
  • Character to End Indent – normally } (closing brace)
  • Escape Character (To Print Special Char) – normally " (double-quote)
  • Character to Switch Primary Fonts – normally $ (dollar)
  • Character for Newspaper Columns in Layers – normally # (hash)

Fourth Tab: "Fonts" - back to top

Here you can customise the typefaces that dotPLOT uses for its output.

  • Font 1 is used for the main body text.
  • Font 2 is the alternative main body text used for emphasis: It is usually a bold font. It is activated and deactivated with the Character to Switch Primary Fonts – normally the dollar ($) character, unless changed on the third tab as explained above.
  • Font 3 is used for the labels in the footer, and in Borehole headers.

The characteristics you can change are:

  • Character Set. Available sets are:
    • 10U - PC-8: United Kingdom (normally used in South African English)
    • 11U - PC-8: Danish-Norwegian
    • 12U - Code Page 850 Latin 1: Western Europe (may be useful for French and Afrikaans special characters)
    • 17U - Code Page 852 Latin 1: Central Europe
  • Font (Typeface). Available fonts are:
    • Helvetica - a proportional, Sans Serif font
    • Times - a proportional, Serif font
    • Courier - a fixed-space font (all characters the same width)
  • Older fonts left over from SET files that worked with PCL will be converted to one of these fonts when used with PDF files, and will be changed here if anything is changed about the font.
  • Point Size: 10 to 12 makes for a readable body font. 8 pt is suitable for Font 3. Select from the list or type your own size, which can include decimals.
  • Bold - tick the checkbox for Bold (usually used for Font 2)
  • Italic - tick the checkbox for Italic (often used for Font 3)

If you change any characteristic of a font, the font will be saved when the file is saved.

Lines per inch: Line spacing is normally 6. Use a smaller value if you are using a large font, larger for a smaller font.

Fifth Tab: "Logo Transform" - back to top

This tab allows you to greatly reshape how your logo appears, and should be used with caution. The picture shows a Logo Draw with Centre = bottom left margin and Rotation = 10;20;30;40.

First, choose a Demonstration Type:

  • If, as most people do, you are using a logo that appears at the top left of the page, choose Logo
  • On the other hand, if you are using the whole page to create a background or a watermark (which might have a bolder logo at top left), choose Watermark.

Then choose a Transformation:

  • None plots with the existing parameters a-f: Useful to see what you have at the moment.
  • Clear resets parameters a-f to "No Transformation", the Logo in its raw state.
  • Shift moves the logo horizontally to the right and vertically up by the X, Y mm values that you specify. This is in addition to any Default LOGO X and y reference points set on the second tab. If you give only one figure, it will be used for both; prefix any one with "+" to add to the existing value. You can also use several sets of values separated by semicolons (;).
  • Scaling lets you specify a new Scaling for X, Y (Horizontal, Vertical) as a fraction or percentage (ending in "%"), either comma-separated, or one figure for both, semicolon-separated for several sets.
  • Rotation has the effect of rotating the coordinate system axes by an angle, specified in degrees clockwise. If there are several values, separate them by semicolons (;). Rotation is performed about the current Centre, which starts out as the bottom left corner (0, 0 point) but can be set either by clicking the Set Centre button, or simply clicking that point on the diagram on the right.
  • Skew skews the x-axis by an angle A (degrees anti-clockwise) and the y-axis by an angle B (degrees clockwise). The two values are separated by commas, or if there is just one figure it is used for both, semicolon-separated for several sets. Skew is performed about the current Centre, as for Rotation.

The Centre Point for rotation and skew defaults to the bottom left corner of the page. If the checkbox under the blue square, on the right of the "Set Centre" button, is ticked, then a different centre is used, which is shown on the page as a blue rectangle when you click Draw or O-Draw. The "Set Centre" button lets you alter the position of this centre, which starts off at the top left margin. You can also set the position of this centre by clicking on a new position on the page with the mouse: The mouse coordinates are shown at top right above the page.

Click Draw to clear any previous drawings and draw the chosen transformation, or O-Draw (Overdraw) to draw on top of any previous drawings. Rotation and Skew will clear any previous Shift and Scaling, so if you wish to do Rotation or Skew, do them before Shift or Scaling.

Parameters a-f are set by the requested Transformations, but can also be altered directly. They are what is stored in the SET file for use by dotPLOT's Logo Transformation routine. a and d (scaling) are fractions, b and c (rotation) are in radians, and e and f (shift) are in PostScript points (1/72 inch, 0.353 mm) –add "mm" if you input mm. If you use several semicolon-separated sets of values, the last set used determines parameters a-f.

Local Buttons - back to top

Each of these only applies to the item on the left of that particular button.

[...] – lets you locate a file or folder.
Edit File – allows you to edit a Vocabulary file in Notepad, at your own risk! See the User Manual for details on how to do this safely. We recommend that you do not change the original ENG, AFR, etc. files. Rather, save yours with a new file extension, e.g. NEW, CUS, TST, TRY or your company initials. Make sure that the SET file refers to the correct ones!
Edit – change the Compress Borelog Option or the Borelog Suppress Options Code (Borehole logs only) as shown above.
View – opens a Logo file in your PDF Viewer.
Help (local) – gives you brief Help on that item, with an option to go to that topic in this Help file.

Bottom row Help Buttons

Help button – Opens this Help File (or you can press F1).
About button – Information about this program.

Bottom row Action Buttons

Save As button – lets you save the SET file with a new name and continue editing the new file.

Run Now! button – allows you to close the window, save the SET file (with its existing name) and run dotPLOT with it and the other settings on the Main HotPlot window. A quick way to test if your logo or other settings are correct.

OK button – saves the parameters set above and closes the window, returning you to the Main HotPlot window.

Cancel – optionally saves or abandons any changes and closes the window, returning you to the Main HotPlot window.

Exit - back to top

To Exit with a choice to Save (on the same SET file name) or Cancel, click the X at top right of the window.

Warnings on Exit

When you try to save, the SET File Editor checks the following items (all on the first tab, in order from the top) and will issue warnings for any that are missing:

  • Default Prompts file (PROMPTS.*, e.g. PROMPTS.ENG for English)
  • Default Vocabulary file (PROVOCAB.*, e.g. PROVOCAB.ENG for English)
  • Conversion Vocabulary File (CONVOCAB.*, e.g. CONVOCAB.ENG for English)
  • Path for Print-to-File (PDF Output) (normally C:\dotFILES)
  • Default LOGO File (the dotPLOT Logo is LOGO0)
  • Path to Font files (always LJ4)

In each case you will get a message like this:

---------------------------
Fix Error in SET File Data?
---------------------------
The <item> <name or path as supplied> does not exist!
Abort = Stop Now and fix
Retry = Check all Errors, then fix
Ignore = Ignore Errors and Carry On (profiles may not run)
---------------------------
Abort - Retry - Ignore
---------------------------

"Retry" will let you see all errors and then fix them after all have been checked. Use "Ignore" only if you are sure you can do without the item concerned.

If the Path to Font files in the SET file contains a full path instead of a relative path (older files may have C:\dot5000\LJ4 instead of just LJ4) it is silently fixed on saving.

< Top of Page


Frequently Asked Questions

Frequently-Asked Questions (FAQ's)

<< Previous – Next >>

These will be added from user feedback as required: With the problem visible on screen, press Print Screen on the keyboard to capture the screen picture. Click here to create e-mail user feedback. Paste the screen capture into your e-mail. Add further comments and your contact details, and Send.

If you are running a dot6000-series version, replace "C:\dot7000" with "C:\dot6000" in the notes below.

Contents:

Problems Installing HotPlot

Problems Running HotPlot

  • Disk or Network Error
  • No Further Licences Available!
  • Permission denied on FileName.PDF
  • Using a Licence on Another PC
  • Can't delete old PDF file
  • Program does not appear on Screen

Run-Time Errors in dot6000: inappropriate path; Out of String Space; Linearized PDF file not supported.

Run-Time Errors in dot7000: Permission denied; dot6000 encountered - not licenced; Linearized PDF file not supported, Logo file has double Xrefs - Unusable.

  • Program crashes ("dotPLOT has stopped working / stopped responding")

General Questions Using dotPLOT

  • What has Happened to the PCL Output File Type?
  • Why Does My DXF File Contain Only the Last Page?
  • I Can't Find my PDF, DXF, or PGL Output files – Where do they get Saved?
  • Can I Save my Combined PDF Output file?
  • How do I Remove the dotPLOT Logo from Printouts?
  • How do I Replace the dotPLOT Logo with My Company's Logo?
  • How do I Create a Logo PDF File?
  • Can I Create My Own Soil Symbols?
  • Catering for Micro-zones / Attributes Very Close Together
  • How Can I Do a Borehole Log in Landscape format?
  • How Can I Reduce the Gap in the Middle of an A3 Sheet? (A3 Inner Margin Adjustment)
  • How Can I Get Special Characters (Accents etc.)?
  • Unicode Text File does not work: "BLOCK STRUCTURES NOT MATCHED!" or "Error! Input past end of file".
  • How Can I Stop Sample Names and Symbols Overprinting Each Other?
  • How Can I Add a Synonym or Replacement for a Soil Symbol?
  • I want Latitude and Longitude, not X- and Y-Coordinates.
  • PDF Files do not Show Graphics

Also see "Troubleshooting dotPLOT Errors and Warnings" on the "Main Window" page.

Problems Installing HotPlot:

HotPlot is intended for modern versions of Windows (XP, Vista, Windows 7 or later) with the complete operating system and a recent version of Internet Explorer (5.1 or later). Problems may arise if your Windows system is not up to date. Make sure you have installed the latest Windows Update.

Problem Licensing dotPLOT:

Problem: I applied for a licence to put on my Server. I saved the licence file, PROPASS.KEY, to the folder S:\DOTPLOT.USB [Note: S: may vary] as instructed. However, when I run HotPlot and click "Go to dotPLOT", instead of saying that it is licensed, I get a brief message "S:\DOTPLOT.USB\PROPASS.KEY Licence found but not valid" and then it says it is IN DEMO MODE.

Solution: Use a flash drive, or a shared local hard drive, for the licence. Follow the licensing instructions and send in a new Licence Request.

Explanation: You probably have a Linux Server. There is a bug in Linux in that the Create Date-Time of folders changes along with the Date Last Used. The dotPLOT licence relies on the Create date of the folder \DOTPLOT.USB. This is shown on the HotPlot Licence window, in the box containing a date-time to the right of "Licence Drive". If you click the Save button, wait a while, and click it again, and the date-time cahnges, you have a hard drive with this probem.

Problems Running HotPlot:

Here are some run-time problems and their solutions. If your problem is not listed, please e-mail us as instructed at the top of this page.

Disk or Network Error

This message can occur at any time and any place in the program. "Disk or Network Error" arises if there is a problem with your data connection to the Server on which the data resides. A cable might be unplugged or there may have been a power interruption at the Server or a hub/switch between the Server and your PC.

Solution: Run "My Computer" or Windows Explorer (shortcut: "Windows key" ÿ + E ) and see if you can see the relevant file. Otherwise, ask your computer support person whether there are problems on the network, and check if any other HotPlot user has the same problem. If possible, keep your files on the local C: drive and you should not be affected by network errors. Just back up regularly to the Server.

No Further Licences Available! (No Further Licenses Available)

No more dotPLOT Licences are available now. Either:

  • you are using a network Licence (on a server) and other users got in before you, taking all the Licences (wait until one of them has stopped using dotPLOT, or ask one of them to exit), or
  • you have another copy of dotPLOT running (close it), or
  • dotPLOT crashed (very unusual – please report it, and see next paragraph), or
  • dotPLOT found an error in the text file and instead of pressing any key to let it continue, you closed the DOS Window (please see next paragraph).

The latter two cases mean that dotPLOT was stopped without returning its Licence to the pool. Remedy: Wait for two hours and the Licence will automatically expire and return to the pool. If you are in a great hurry, we can help to restore it via email or TeamViewer (there may be a small charge).

Can I Use My Licence on Another PC?

Yes, if the licence is on a USB flash drive. Just go to http://www.softwareafrica.co.za/dotplot-7000.htm and install dotPLOT on the other PC. That PC would need to have the existing USB drive plugged into the PC to produce final profiles, but users on it could prepare them in Demo mode without the USB drive.

Can't delete old PDF file

Problem: "Permission denied on FileName.PDF"

Solution: You are still viewing the PDF output file from the previous run in Adobe Reader. Close the file so that it can be overwritten.

Program does not appear on Screen

This problem was fixed in Version 3.7.1 of 26 July 2012, and the best remedy is to upgrade. Prior to that, if you shut down HotPlot when minimized then, when run again, HotPlot appears on the Taskbar but is not visible on the screen. This can also occur if you use HotPlot on an external monitor attached to a laptop, and later run it again without the external monitor, because it is trying to appear on the missing monitor. To bring it back, do the following:

  1. Click on HotPlot on the taskbar so that it is the active program (button appears "pushed in").
  2. Press Alt+spacebar on the keyboard (hold in Alt key, press spacebar, release both).
  3. Press the letter M on the keyboard.
  4. Press any arrow key (ßáàâ) on the keyboard.
  5. Move the mouse. HotPlot should appear, attached to the mouse pointer.
  6. Move HotPlot to where you want it on screen, and click the mouse.

Run-Time Errors in dot6000

Problem: Error no 75 at line 111036 proprint dot6008
Explanation: Error(75) PATH/FILENAME ERROR - inappropriate path

Solution: You may be viewing the PDF Logo file in Adobe Reader. Close the file so that dot6000 can use it. Press Enter as many times as required to finish dot6000, then run it again, making sure that the Logo file is not open.

Problem (dot6007 and earlier): Error no 14 at line 118805 proprint dot6007
Explanation: Error(14) OUT OF STRING SPACE - 64k may not be exceeded..

Solution: This is probably caused by a Logo file in a PDF format that is not supported (dotPLOT can not read all modern PDF file formats). Write the file with CutePDF (or ask us to). Before you do so, check that the text file works with the default dotPLOT logo (LOGO0): Edit Set > Default Logo. See also How do I Create a Logo PDF File? below.

Problem (dot6008 and later): Message when dotPLOT runs: "Linearized PDF file not supported – please change the Logo." Logo does not appear in PDF output, but it can be viewed in Edit Set with the View button.

Solution: dotPLOT can not read a certain new PDF file format. Write the Logo file with CutePDF (or ask us to). Before you do so, just check that the logo is at the top left of the PDF file (Edit Set > View), and that the default X- and Y-coordinates are zero (Edit Set > Layout). See also How do I Create a Logo PDF File? below.

Run-Time Errors in dot7000

Problem: systime.bas @ 0005 Error 53 - File not found (at start of run)
pdfblock.bas @ 0005 Error 70 - Permission denied (after CONVERTING TEXTFILE INTO TRANSFER FILES)
Cannot find Xrefstart in LOGOn.PDF

Solution: You are viewing the PDF Logo file in Adobe Reader. Close the file so that dot7000 can use it. Press Enter as many times as required to finish dot7000, then run it again, making sure that the Logo file is not open.

Problem: dot6000 encountered - not licenced - going DEMO ! Press any key...

Solution: You are using Automatic Symbol Recognition (Plaintext) but are not licensed for it. Either make sure that every layer has at least one ~ (tilde) or ` (back apostrophe) marking the soil symbol to be used, or upgrade to Automatic Symbol Recognition.

Problem (dot7002): Logo does not appear in PDF output, but it can be viewed in Edit Set with the View button.

Solution: dotPLOT can not read all modern PDF file formats. Write the Logo file with CutePDF (or ask us to). Before you do so, just check that the logo is at the top left of the PDF file (Edit Set > View), and that the default X- and Y-coordinates are zero (Edit Set > Layout). See also How do I Create a Logo PDF File? below.

Problem (dot7003 to dot7011): Message when dotPLOT runs: "Linearized PDF file not supported – please change the Logo." or "Logo file has double Xrefs - Unusable LOGOx.PDF". Logo does not appear in PDF output, but it can be viewed in Edit Set with the View button.

Solution: dotPLOT can not read a certain new PDF file format. Upgrade to dot7012, or write the Logo file with CutePDF (or ask us to) or, if using Microsoft Office 2007 and later (Word, Excel, etc.), make sure you print to PDF with the PDF Option "ISO 19005-1 compliant (PDF/A)". Before you do so, just check that the logo is at the top left of the PDF file (Edit Set > View), and that the default X- and Y-coordinates are zero (Edit Set > Layout). See also How do I Create a Logo PDF File? below.

Problem: File not found : C:\DOT4000\LJ4\.MET (or C:\DOT5000\LJ4\.MET or C:\DOT4000\LJ4\.MET)

Solution: The SET file is out of date. Edit it with the HotPlot Settings Editor, change anything and change it back (this is just so that it sees a reason to save the file), and then OK: It will fix the problem. You will need to do this (once) with every SET file that still refers to dot4000 / 5000 / 6000.

Tip: If this problem occurred directly after an upgrade, you probably (despite being warned not to!) ticked the box "Copy customised files from C:\dot5000 (NOT if reinstalling dot7000)" or "Copy customised files from C:\dot6000 (NOT if reinstalling dot7000)". Your SET files were backed up to C:\dot7000\BakupSet, so just move them back to C:\dot7000.

Problem: System Message: "dotPLOT for Soil Profiles and Borehole Logs has stopped working.
A problem caused the program to stop working correctly. Windows will close the program and notify you if a solution is available." When you click Close Program, HotPlot reports that no PDF file was created.

Solution: If you are running a 64-bit machine, you probably have the Output Path set to a folder to which you do not have rights to write, such as C:\ or C:\Program Files (x86). In HotPlot, click Edit SET, and change "Path for Print-to-File (PDF Output)" (4th box from top on first tab) to C:\dotFILES. Click Run Now.

If you had an error in dotPLOT preceding the program crash, please report it to Software Africa with a screenshot of the problem.

General Questions

What has Happened to the PCL Output File Type?

From dot6000 this is no longer supported. To print to a Hewlett Packard PCL printer, print to a PDF file and then use the PDF viewer to print the file to the printer.

Why Does My DXF File Contain Only the Last Page?

You are looking in the wrong folder. Look for the other pages on the Job Number subfolder on Edit Set > "Path for Print-to-File (PDF Output)" (by default, C:\dotFILES), as outlined directly below:

I Can't Find my PDF, DXF, or PGL Output files – Where does dotPLOT Save Them?

If you are not using the Output Type PDF + View, dotPLOT will still save your output but HotPlot will not automatically open it in a PDF Viewer.

In HotPlot, click the button "Edit Set" and look in the box "Path for Print-to-File (PDF Output)". On this path (by default, C:\dotFILES), you will find a sub-folder named using the Job number that you used in the Text file. Inside this folder you will find the following PDF, DXF, or PGL files: A file for each individual profile, named with the hole number; LEGEND.PDF containing the Legend (if you ticked the box for this in HotPlot), and (only for PDF output) COMBINED.PDF containing all holes and the Legend if you asked for it.

The intention is that COMBINED.PDF is used for viewing, but the other, individual, files might be what you want to send to the Client.

For PDFs, there will also be a copy of the combined PDF, named the same as the text file, on the path you chose for "Output Path", for example, C:\DOTFILES. If you left the Output Path box blank, it will be on the same path as the text file.

For DXF, there is no combined DXF file. Instead, only the last DXF file in the series is placed on the "Output Path" or text file path. Look for the others on the Job Number subfolder on Edit Set > "Path for Print-to-File (PDF Output)" (by default, C:\dotFILES), as outlined above.

Caution: A side-effect of this is that you have only one COMBINED.PDF and one LEGEND.PDF for a job: If you are using several text files for one job, older versions of these two files will be overwritten. If you want to keep either of these, rename them or save from PDF Viewer (see next question):

Can I Save my Combined PDF Output file?

In your PDF Viewer there should be an option to save the file with another name. In Adobe Reader, this is File (menu) > Save a Copy (Shift+Ctrl+S). This will allow you to save the PDF you are viewing to another path and/or with a different name. It may well be smaller than the original produced by dotPLOT.

How do I Remove the dotPLOT Logo from Printouts?

In HotPlot, click the "Edit Set" button next to the Setup File name. The Setup File Editor will open. Halfway down the screen you will see the default LOGO file name: Make it blank. Click OK. (To set dotPLOT to use a different logo, see the next paragraph). When dotPLOT runs it will complain that the Logo file is missing: Just press any key to proceed.

How do I Replace the dotPLOT Logo with My Company's Logo?

Set dotPLOT to use a different PDF file as the logo (if you don't have one, see the next paragraph). In HotPlot, click the "Edit Set" button next to the Setup File name. The Setup File Editor will open. Halfway down the screen, type in, or search for, the default LOGO file name. More here on editing a SET file. (If you want to change the setting directly in dotPLOT, use JetSetup: See Section 3.8 (Changing the Layout) in the User Manual, a PDF file found on C:\dot7000\Manuals.)

How do I Create a Logo PDF File?

All you have to do is to write your logo to a PDF file, using a suitable PDF file writer. The CutePDF Writer (Freeware) is one such program, obtainable free of charge from http://www.cutepdf.com. Here is a way to do the job:

  1. Once you have a PDF writer installed, open your existing company logo in any suitable program, for example Windows Paint (Start > Programs > Accessories > Paint).
  2. In File > Page Setup, remove all centring, set the left margin to 15 mm and the top margin to 17 mm (in Windows 7 Paint, the unnamed menu to the left of "Home" on the Ribbon is the "File" menu, and Page Setup is found in the Print option on it).
  3. With File > Print…, print to CutePDF.
  4. CutePDF will ask for a file name: It must be no more than 5 characters, must start with the letters "LOGO", and must be on the dotPLOT folder. For example, use C:\dot7000\LOGO1.PDF.
  5. In HotPlot, click the Edit button next to the SET file box to open the HotPlot SET File Editor.
  6. In the middle of the first tab (Files & Setup), change "Default LOGO File Name" to the new PDF name, in this case LOGO1.
  7. Click "Run Now" to print a test file from dotPLOT and view it in your PDF Viewer.
  8. If the logo is in the wrong place, you have a choice of reprinting your logo to PDF with different margins, or alternatively adjusting the Logo X and Y positions in the SET file (bottom of second tab: Layout). Repeat this step until the logo is correctly positioned.
  9. If the logo is the wrong size, you have a choice of reprinting your logo to PDF with different % Scaling (in Paint: in File > Page Setup or, in Windows 7 Paint: in File > Print > Page Setup) (recommended), or alternatively adjusting the space allowed for the Header in every SET file (middle of second tab, Layout: Head of Page Height, and Job Title left margin offset). Repeat this step until the logo fits into the space allowed. Alternatively, you can use the last tab in the SET file editor to reshape the logo. Be aware that any changes you make to the SET file will have to be copied to all the SET files you use; it is easier to get your logo correctly sized and placed.

Caution: PDF files written directly from Microsoft Office 2007, 2010 and later (Word, Excel, etc.) may not work: They use newer PDF features than are supported by dot7011 and earlier (Linearized PDF) unless you print to PDF with the PDF Option "ISO 19005-1 compliant (PDF/A)".

If you would like a PDF Logo created for you from an existing graphic, please send Software Africa the logo as a JPG, GIF or bitmap file. The charge is R1000 + VAT (subject to change without prior notice).

Can I Create My Own Soil Symbols?

Yes – with the Soil Symbol Editor, available at an extra charge (32-bit only). However if you want only a few symbols, it will be cheaper to ask Software Africa to quote on producing the symbols for you.

You may in fact not need to create new symbols. You can reassign existing symbols by editing the vocabulary files: See the dotPLOT User Manual for details. For example, for "Bricks" or "Brickwork" you might like to reassign or add synonyms for the symbol for "Limestone", which looks a lot like a brick wall.

For a list of existing symbols, see C:\dot7000\manual\SYMBOLSA.PDF which should have been installed with dotPLOT, but is also available as a download from the dotPLOT Setup page..

How Can I Get a Summary Table with All the Soil Symbols?

("We need a table of all the symbols for soil types: The symbol summary only gives symbols for the types used in a the set of profiles in a single text file.")

For the listing of all symbols, see file C:\dot7000\manual\SYMBOLSA.PDF. It comes with dotPLOT.

If you want symbols in a group (up to 36 on a page), run HotPlot and choose Activity = TEST-SYMB. Click "Run Now". Enter START SYMBOL, END SYMBOL (spelled exactly as shown on screen), and press Enter. For more details see the instructions in the User Manual (C:\dot7000\manual\dotPLOT_User_Manual.pdf), section 2.4 – Testing Profile Symbols.

If you only want certain symbols, set up a dummy profile that calls up the symbols you require, run dotPLOT, then look on the job number folder on the SET File's Output Path for the file LEGEND.PDF.

Drawing a Well Construction Diagram

Q: I need a diagram like the one shown alongside. How can I do it?

A: This is mentioned in the User Manual (C:\dot7000\manual\dotPLOT_User_Manual.pdf) in section 6.5.4 (Line Drawings, Shading and Hatching): This enables simple drawings such as "Well Construction" to be printed. Refer to the text file WELLTEST.TXT (one of the examples on C:\dot7000\Examples) for an example and also in section 8.2.4 (Other Sample Text Files), but there is no picture of it there.

You should run this with a SET file that has the bottom option on the first tab (Borelog Suppress Options Code) = 110. Save a new SET file, e.g. WELLTEST.SET for this purpose if necessary.

When run, the file gives this error because of the backtrack in depths – just press any key to continue:

Check Attribute depths! <WELL CONSTRUCTION [WIDTH 600 FIXED][M=600]> 611231 .ERROR !

The file WELLTEST.TXT uses several INCLUDE files, which you can re-use, to simplify the graphics: COLLAR (Concrete Collar), PACKED (Selected Gravel Packing), CASED, UNCASED, SLOTTED, and ENDHOLE.

Catering for Micro-zones / Attributes Very Close Together

This is a case of a profile comprising sparse layer descriptions with a few zones of intense attribute data content. Treat it as follows:-

Method 1: One Main Profile with Magnified Zones in Separate Files

Write the main text file with the layer descriptions only (or with just a few salient attributes). At the first intense zone where there are lots and lots of attributes, simply describe the layer e.g. as "Discontinuity Zone A - see profile xxxxA [PAINT RED]." Similarly with the second and third etc... Print this main file on A3, scale say 1:75 or 1:100 with the attribute columns in place, but without excessive detailed attribute text.

Then prepare a separate file for each special zone:- Take the main text file as a template for each. Chop off the head down to ANY suitable depth (for example 9.5m), and chop off the tail from ANY suitable depth, (these can be at fractions of a metre). Then use the magic word "Starting Depth: 9.5" and write all the lots and lots of attributes for this slice. Leave Soil Symbols all as per the main text template. Print this on A3 at a scale of 1:10 (we can now go down to 1:1 and even lower with dot6007 and later). Plot this as a separate file –it must have its own name– and it will appear zoomed to the bigger magnification.

To eliminate manual input when printing, the different scales can be written into the headers.

"Starting Depth" is described in the User Manual.

Method 2: Break the Profile into Differently-Scaled Sub-Profiles at Suitable Points in One File

Another (maybe better) way to do a profile where you want to zoom in at different zones is this:-

Job No : header data etc...
Hole No: 7001DNwaggawagga-A
Scale : 1:50
\
1m. jubba-jubba-jubba.
6m. mumblemumble
10m. MUMbomumbo
10+ hole continues see Hole no waggawagga-B
\
attributes: keep it simple
\\
hole no: 7001-waggawagg-B
scale: 1:10
starting depth : 10.0
\
10m. jubba-jubba-jubba.
10.25m. mumblemumble
10.55m. MUMbomumbo
11.50+ hole continues, see Hole no waggawagga-C..
\
aTTRIBUTES:
verbal overdose blah blah mumbo rhubarb....
\\
hole no: 7001-waggawagg-C
scale: 1:50
starting depth : 11.5
\
11.5m ........................
layers
43.2+ hole continues
and so on and so on.
\
.........................
\\
and so on
\\\
end of file.

The combined PDF output file will then comprise the collection of A, B, C etc., with one Legend.

Method 3: As Method 1 but use One File

As seen in Method 2, all the profiles (main profile and magnified zones) can be put into one text file. The main profile would have "Scale : 1:50", and the first magnified zone "scale: 1:10", which would then carry through to the rest. The combined PDF output file will then cover the whole profile and the magnified zones, with one Legend.

How Can I Do a Borehole Log in Landscape format?

You want to produce a PDF file in Landscape format (long side horizontal) instead of Portrait (long side vertical), with the Borehole Log (Attribute Page) on the left and the Profile (Profile page) on the right of the same sheet, like Fig 1 below.

Short Answer: In HotPlot, click the (2nd from top) Explore button [...] for the Setup File and select BH1PG-A3.SET (one-page Borehole Log on A3 paper). Click Edit Set and change to your logo if you have one.

Details: In HotPlot, click Edit SET. 4th from bottom, change "Page Size" to A3. You might Save As a new SET file (for example "Landscap.SET" or "A3.SET") so that you can easily swap between that and STANDARD.SET (A4 Portrait). Then "Run Now" with the new SET file.

Note that the vertical scale will be correct if you print this on an A3-size sheet. You can of course print it Landscape on an A4 sheet, but the scale won't actually be 1:10 or whatever it says it is.

Then you might want to change the gap in the middle...

How Can I Reduce the Gap in the Middle of an A3 Sheet? (A3 Inner Margin Adjustment)

A little background first so that you understand what we are doing:

In what follows, the "Attribute Page" is the Left-hand half of your A3 sheet, the "Profile Page" is the Right-hand half. The "Attribute Page Right-hand Margin" (APRHM) is then the part in the middle that belongs to the Left-hand half, while the "Profile Page Left-hand Margin" (PPLHM) is the part in the middle that belongs to the Right-hand half.

Both APRHM and PPLHM are normally set to zero, which works nicely if the pages are separate, but leaves a gap in the middle when the two A4 pages are printed as a single A3 sheet (Landscape), as in the top picture alongside.

Setting the APRHM and PPLHM to a negative value, moves them towards the middle of the A3 sheet, closing the gap.

If you want to have a bigger left-hand page only, adjust APRHM negative (-300 dots (1 inch - 25.4 mm) is about the minimum sensible value). If you want to have a bigger right-hand page only, adjust PPLHM negative (-300 dots is about the minimum sensible value). If you want to allocate the gap equally to both pages, set both APRHM and PPLHM to -150 (you can use more negative figures, but then the two pages start to overlap).

On the Left are examples of what you can do:

Fig 1 – APRHM and PPLHM = zero (normal) – top picture

Fig 2 – APRHM and PPLHM = -150 – gap closed, equal pages.

Fig 3 – APRHM = -300, PPLHM = 0 – wider left page

Fig 4 – APRHM = 0, PPLHM = -300 – wider right page

Fig 5 – APRHM and PPLHM = -500 (overlap!) – last picture (totally daft!)

Now, how do you do this?

Either, in the Header of the file itself (thus this only applies to that file): (for a bigger left page) Use a line saying

APRHM: -300

or (for a bigger right page)

PPLHM: -300

or, for both equal, two lines:

APRHM: -150
PPLHM: -150

Or (easier, and this would apply all Text files run with that SET file),

  1. In HotPlot, click the Edit SET button next to the SET file box to open the HotPlot SET File Editor.
  2. Near the top of the second tab (Layout), adjust the "Attribute Page Right-hand Margin" or the "Profile Page Left-hand Margin" to -300, or both of them to -150, as required.
  3. Click "Run Now" to print a test file from dotPLOT and view it in your PDF Viewer.
  4. If the gap is still too small, repeat from step 1, and make the figure smaller (more negative) e.g. -390.
  5. If the gap is now too big, repeat from step 1, and make the figure bigger (less negative) e.g. -100.
  6. Repeat with successively smaller changes until the gap is the size you want it.

How Can I Get Special Characters (Accents etc.)?

In the HotPlot Text File Editor you might want characters like º (degrees), Ø (diameter), µ (mu, microns), ÷ (divide), ± (plus-minus), ≠ (not-equal), ≤ (less-or-equal), ≥ (greater-or-equal), or accented letters like ç, é, ê, ë, etc.. To do this, click the Character menu (new in Version 3.12.0) and click the required character.

If the character you want is not in the menu, proceed as follows: Num Lock must be on. Press the Alt key and hold it! Enter the corresponding four numbers as shown below from the numeric keypad. Release the Alt key.

The numbers are: ç = Alt+0231, é = Alt+0233, ê = Alt+0234, ë = Alt+0235, ï = Alt+0239, ò = Alt+0243, ô = Alt+0244, ö = Alt+0246, û = Alt+0251, ñ = Alt+0241, Ø (O-stroke, used for diameter) = Alt+0216, ± (plus-minus) = Alt+0177, ‡ (used for not-equal, ≠) = Alt+0135, « (used for less-equal, ≤) = Alt+0171, » (used for greater-equal, ≥) = Alt+0187. For a full list, see the file C:\dot7000\Manual\TestChar.PDF or try inserting a symbol in Word or Excel and then copying it.

If you are using a file where the characters show correctly in a DOS Editor (E.COM, EDIT, etc.), you will find that different characters appear in Windows Editors (HotPlot, Notepad, Word, etc.). The majority of them will still appear correctly in PDF output due to a translation that dotPLOT does*, but you might prefer to replace them with the right Windows characters. To do so, in the HotPlot Text Editor, click (menu) Edit > DOS --> Windows.

In the Text Editor (from Version 3.7.5) you can use Edit > ASCII Code (F11) to reveal the ASCII value(s) of the selected character(s), and Character > Special Character by ASCII code (F12) to insert one or more special characters specified by ASCII code(s). The latter is very similar to Alt+Code as above, but lets you insert a series to see what you get.

*Technical Note: The translation table is in the text file C:\dot7000\PDFFONTS.DAT, in the lower section starting with the line"nn DIFFERENCE LINES". Note that the "nn" must equal the number of lines below that line. The format of these lines is <starting Alt-number> <list of PDF character names starting at Alt-number>; thus "129 /udieresis /eacute /acircumflex" means that ü is used for Alt+0129, é = Alt+0130, and â = Alt+0131. If you wish to edit this file we strongly recommend that you keep a backup.

If you prefer to use a character set that is closer to DOS, an alternative file, PDFFONTS-DOS.DAT, is provided: Rename PDFFONTS.DAT to PDFFONTS-WIN.DAT, and PDFFONTS-DOS.DAT to PDFFONTS.DAT.

My Unicode Text File does not work: I get "BLOCK STRUCTURES NOT MATCHED!"

Explanation: If you edit a text file with Notepad or various other editors and insert certain special characters (e.g. ≠ (not-equal), ≤ (less-or-equal), ≥ (greater-or-equal)), when you try to save the file, the program gives you a message like this:

"This file contains characters in Unicode format which will be lost if you save this file as an ANSI encoded text file. To keep the Unicode information, click Cancel below and then select one of the Unicode options from the Encoding drop down list. Continue?"

If you then click Cancel as suggested, and save the file as Unicode, dotPLOT cannot read it (nor can HotPlot, editing it gives: "Error! Input past end of file").

Solution: Open the file again with Notepad, and save it with a new filename in ANSI format. Click OK and accept the loss of the special characters. Edit the file in the HotPlot Text File Editor and insert the special character(s) using the Character menu. If the the character you want is not in the menu, see the Help topic directly above this one, or write to us.

How Can I Stop Sample Names and Symbols Overprinting Each Other?

Using sample notes as follows, you might find the details and symbols (on the left of the profile) overprinting each other, as shown in the leftmost picture.

Sample S1 0,00m--0,30m (|2 x Bulk)
Sample S2 0,15m (|1 x Undisturbed)
Sample S3 0,15m (|1 x Chemical).

To prevent them overprinting, as shown in the picture on the right, move the sample depths up or down, for example as follows:

Sample S1 0,00m--0,30m (two Bulk)
Sample S2 0,10m (one Undisturbed)
Sample S3 0,20m (one Chemical).

Discussion:

  1. The depths are NEVER accurate, usually within 150mm if you are lucky.
  2. It is impossible to take two samples at exactly the same place.
  3. The symbols would be a muddle if plotted at exactly the same depth.
  4. A clever user would use the double minus on that sample he wants to place in the middle position, then add or subtract 50 - 100 mm from the depths of any conflicting ones. He is the best person to make such a judgement call.
  5. The veracity or accuracy of the depth is quite unimportant to the reader. The test or sample type and name is the essential information, together with association to the material.

How Can I Add "ASH" as a Synonym for "Volcanic"?

Make a backup copy of C:\dot7000\PROVOCAB.ENG, for example by copying it to C:\dot7000\PROVOCAB.EN0

In HotPlot, click on Edit Set.

Click the second Edit File button (next to Default Vocabulary File Extension) to open the file C:\dot7000\PROVOCAB.ENG in Notepad.

Click Yes to accept the Warning "Edit Sensitive dotPLOT File?"

Search (Ctrl+H) for [SA19]

You will find a block:
/VOLCANIC
/LAVA
/FELSITE
/TRACHYTE/[SA19].

If you want to have ASH as the preferred synonym for Volcanic / Lava / Felsite / Trachyte, just add /ASH at the beginning, thus:

/ASH/VOLCANIC
/LAVA
/FELSITE
/TRACHYTE/[SA19].

If (not recommended!) you want to have ASH as a replacement for Volcanic / Lava / Felsite / Trachyte, replace everything else with ASH, thus:

/ASH/[SA19].

Using Latitude and Longitude, not X- and Y-Coordinates:

  1. In HotPlot, click the button Edit Set.
  2. In the Set File Editor, next to Default Vocabulary File Extension, click the button Edit File (the second Edit File button from the top).
  3. Click OK on the warning screen. The file PROVOCAB.ENG will open in Notepad.
  4. Is there a chance that you will want X- and Y-Coordinates at some time in the future? If so, click File > Save As in Notepad and save the file as PROVOCAB.LAT
  5. Scroll down a bit to the lines containing X-COORD : <18> and Y-COORD : <19> on the right.
  6. Change X-COORD : <18> to LATITUDE : <18> and Y-COORD : <19> to LONGITUDE : <19>
  7. Save and close the PROVOCAB file.
  8. Back in the Set File Editor, if you used PROVOCAB.LAT then,
    in the box next to Default Vocabulary File Extension, change ENG to LAT and Save As... the SET File with a new name so that you have the old SET file available for X- and Y-Coordinates, and the new one for Latitude and Longitude.
  9. Run your text file with the new SET file, using the Header Keywords X-COORD: for Latitude South and Y-COORD: for Longitude East.

PDF Files do not Show Graphics

Check that your default PDF Viewer is Adobe Acrobat Reader DC, available free at www.adobe.com.

You might be running Windows 10, which defaults to the utterly useless free give-away "Microsoft Edge" as the PDF Viewer. Alternatively, you might have accidentally installed another PDF Viewer.

To Set Adobe Acrobat Reader DC (or Acrobat X) as default: In Windows Explorer, view C:\dot7000\Examples. Right-click any PDF file. From the pop-up menu, choose Open with > Choose another app > Adobe Acrobat. NB: Tick "Always use this app to open PDF files". Click OK.

In earlier versions of Windows, from the pop-up menu, choose Open with > Choose default program > Adobe Acrobat Reader DC. Tick "Always use the selected program to open this kind of file". Click OK.


Glossary

Glossary and Important Concepts

<< Previous – Introduction >>

Active Window: The window that has the focus (was clicked on last). Its title bar will be in a different colour to the others.

Exit (close) button: The X at the top right-hand corner of a program window or a dialog box. Ends the program or cancels the dialog box.

Form controls are Windows and are like "windows" through which you can see and reach the information stored in your programs.

Install: The batch file (INSTALL.BAT) and associated files used to install dotPLOT.

Landscape: Printing where the lines of print run parallel to the long side of the paper. Compare with Portrait. dotPLOT prints A3 pages Landscape (set in Edit Set > Files & Setup (first tab) > Page Size (towards the bottom) – see here for setting and here for discussion).

Maximize button near the top right-hand corner of a window. Maximizes the window to full screen size.

Menu Bar directly under the Title Bar at the top of the program window, this contains the menus you can use in the active window. Each menu contains commands that relate to the menu name; e.g. the Help menu contains commands for getting help.

Minimize button near the top right-hand corner of a window. Reduces the window to an icon (a Minimized program still appears on the Windows Task Bar, a Minimized child window still appears on the program’s Window Menu).

Portrait: Printing where the lines of print run parallel to the short side of the paper. Compare with Landscape. dotPLOT prints A4 pages Portrait. (set in Edit Set > Files & Setup (first tab) > Page Size (towards the bottom) – see here).

Restore button near the top right-hand corner of a window. Restores the window to a size less than full screen ("Normal") size. In this state the window can be re-sized by dragging corners or edges, and moved around the screen by dragging the Title Bar.

Run: To run a program, either:

  • Click Windows Start > Run and enter the file name; or
  • Double-click "My Computer" on the Desktop, locate the file, then double-click it; or.
  • Run Windows Explorer (typically from Windows Start > Programs > Accessories

Scroll Bars are controls used to provide easy navigation through a long list of items or a large amount of information by scrolling either horizontally and/or vertically within an application or control (i.e. a Text Box). The Horizontal and Vertical scroll bars operate independently from each other. You can navigate through the data by dragging the scroll box to any point along the bar with the mouse, by clicking along the bar, or by clicking one of the Arrow keys in the Scroll bar.

Setup: The program (Setup.exe) used to install HotPlot.

Title Bar coloured line at the top of windows and dialog boxes: Displays the name of the program or dialog box, and often the names of open files. The Title Bar usually bears three buttons (Minimize, Maximize/Restore, and Exit) at top right.

Toolbar directly under the Menu Bar of the HotPlot Text file Editor and in the Preview Window, contains Toolbar Buttons. Point at a Toolbar button and wait a second and a ToolTip will appear explaining what the button does. Click the button to make the action take place.

Users: These are you and your co-workers who use HotPlot and dotPLOT.

Window: A rectangular area of the screen with “bevelled” edges and a coloured Title Bar. Except in the case of Dialog Boxes, restored (normal) Windows can be re-sized by dragging a corner or an edge. Windows are forms and can be repositioned by dragging the title bar.